if (!defined &_NAN_H) {
    eval 'sub _NAN_H {1;}';
    if (defined( &_IEEE) || defined( &_IEEE_754)) {
	require 'sys/isa_defs.ph';
    }
    else {
	require 'values.ph';
    }
    if (defined &__cplusplus) {
    }
    if (defined( &_IEEE) || defined( &_IEEE_754)) {
	if (defined( &_BIG_ENDIAN)) {
	}
	else {
	}
	eval 'sub IsNANorINF {
	    local($X) = @_;
	    eval "((( &dnan *)&($X))-> &nan_parts. &exponent == 0x7ff)";
	}';
	eval 'sub IsINF {
	    local($X) = @_;
	    eval "((( &dnan *)&($X))-> &inf_parts. &bits == 0 && (( &dnan *)&($X))-> &inf_parts. &fraction_low == 0)";
	}';
	eval 'sub IsPosNAN {
	    local($X) = @_;
	    eval "((( &dnan *)&($X))-> &nan_parts. &sign == 0)";
	}';
	eval 'sub IsNegNAN {
	    local($X) = @_;
	    eval "((( &dnan *)&($X))-> &nan_parts. &sign == 1)";
	}';
	eval 'sub GETNaNPC {
	    local($dval) = @_;
	    eval "((( &dnan *)&($dval))-> &inf_parts. &bits << 12 | (( &dnan *)&($dval))-> &nan_parts. &fraction_low >> 20)";
	}';
	if (defined( &__STDC__)) {
	    eval 'sub KILLFPE {
	        eval "( &void)  &_kill( &_getpid(), 8)";
	    }';
	}
	else {
	    eval 'sub KILLFPE {
	        eval "( &void)  &kill( &getpid(), 8)";
	    }';
	}
	eval 'sub NaN {
	    local($X) = @_;
	    eval "((( &dnan *)&($X))-> &nan_parts. &exponent == 0x7ff)";
	}';
	eval 'sub KILLNaN {
	    local($X) = @_;
	    eval " &if ( &NaN($X))  &KILLFPE()";
	}';
    }
    else {
	eval 'sub IsNANorINF {
	    local($X) = @_;
	    eval "0";
	}';
	eval 'sub IsINF {
	    local($X) = @_;
	    eval "0";
	}';
	eval 'sub IsPINF {
	    local($X) = @_;
	    eval "0";
	}';
	eval 'sub IsNegNAN {
	    local($X) = @_;
	    eval "0";
	}';
	eval 'sub IsPosNAN {
	    local($X) = @_;
	    eval "0";
	}';
	eval 'sub IsNAN {
	    local($X) = @_;
	    eval "0";
	}';
	eval 'sub GETNaNPC {
	    local($X) = @_;
	    eval "0 &L";
	}';
	eval 'sub NaN {
	    local($X) = @_;
	    eval "0";
	}';
	eval 'sub KILLNaN {
	    local($X) = @_;
	    eval "";
	}';
    }
    if (defined &__cplusplus) {
    }
}
1;
