if (!defined &_SYS_SUNDDI_H) {
    eval 'sub _SYS_SUNDDI_H {1;}';
    require 'sys/dditypes.ph';
    require 'sys/ddipropdefs.ph';
    require 'sys/devops.ph';
    require 'sys/time.ph';
    require 'sys/cmn_err.ph';
    require 'sys/ddi_implfuncs.ph';
    require 'sys/ddi_isa.ph';
    if (defined( &i386) || defined( &__i386) || defined( &__ppc)) {
	require 'sys/dma_engine.ph';
    }
    if (defined &__cplusplus) {
    }
    eval 'sub DDI_SUCCESS {(0);}';
    eval 'sub DDI_FAILURE {(-1);}';
    eval 'sub DDI_NOT_WELL_FORMED {(-2);}';
    eval 'sub DEVI_REV {(1);}';
    eval 'sub DEVI_PSEUDO_NODEID {(-1);}';
    eval 'sub DEVI_SID_NODEID {(-2);}';
    eval 'sub DEVI_PROM_NODE {
        local($nodeid) = @_;
        eval "(($nodeid) !=  &DEVI_PSEUDO_NODEID && ($nodeid) !=  &DEVI_SID_NODEID)";
    }';
    eval 'sub DEVI_PSEUDO_NEXNAME {"pseudo";}';
    eval 'sub DEVI_ISA_NEXNAME {"isa";}';
    eval 'sub DEVI_EISA_NEXNAME {"eisa";}';
    eval 'sub DEVI_MCA_NEXNAME {"mc";}';
    eval 'sub CLONE_DEV {1;}';
    eval 'sub DDI_NT_SERIAL {"ddi_serial";}';
    eval 'sub DDI_NT_SERIAL_MB {"ddi_serial:mb";}';
    eval 'sub DDI_NT_SERIAL_DO {"ddi_serial:dialout";}';
    eval 'sub DDI_NT_SERIAL_MB_DO {"ddi_serial:dialout,mb";}';
    eval 'sub DDI_NT_BLOCK {"ddi_block";}';
    eval 'sub DDI_NT_BLOCK_CHAN {"ddi_block:channel";}';
    eval 'sub DDI_NT_CD {"ddi_block:cdrom";}';
    eval 'sub DDI_NT_CD_CHAN {"ddi_block:cdrom:channel";}';
    eval 'sub DDI_NT_FD {"ddi_block:diskette";}';
    eval 'sub DDI_NT_TAPE {"ddi_byte:tape";}';
    eval 'sub DDI_NT_NET {"ddi_network";}';
    eval 'sub DDI_NT_DISPLAY {"ddi_display";}';
    eval 'sub DDI_PSEUDO {"ddi_pseudo";}';
    eval 'sub DDI_NT_AUDIO {"ddi_audio";}';
    if (defined &_KERNEL) {
	eval 'sub DDI_INTR_NOTFOUND {1;}';
	eval 'sub DDI_SOFTINT_LOW {8;}';
	eval 'sub DDI_SOFTINT_MED {128;}';
	eval 'sub DDI_SOFTINT_HIGH {256;}';
	eval 'sub DDI_INTR_CLAIMED {1;}';
	eval 'sub DDI_INTR_UNCLAIMED {0;}';
	eval 'sub DDI_WALK_CONTINUE {0;}';
	eval 'sub DDI_WALK_PRUNECHILD {-1;}';
	eval 'sub DDI_WALK_PRUNESIB {-2;}';
	eval 'sub DDI_WALK_TERMINATE {-3;}';
	eval 'sub DDI_SHREG_SUCCESS { &DDI_SUCCESS;}';
	eval 'sub DDI_SHREG_UNKNOWN {-4;}';
	eval 'sub DDI_SHREG_BADACCESS {-5;}';
	eval 'sub DDI_KERNEL_IOCTL {"ddi-kernel-ioctl";}';
	if (defined &__STDC__) {
	    if (defined( &sparc) || defined( &__sparc)) {
	    }
	}
	else {
	}
	if (defined( &sparc) || defined( &__sparc)) {
	    if (!defined &SUNDDI_IMPL) {
		eval 'sub splaudio {
		    eval " &i_ddi_splaudio()";
		}';
		eval 'sub splhigh {
		    eval " &i_ddi_splhigh()";
		}';
		eval 'sub splclock {
		    eval " &i_ddi_splclock()";
		}';
		eval 'sub spltty {
		    eval " &i_ddi_spltty()";
		}';
		eval 'sub splbio {
		    eval " &i_ddi_splbio()";
		}';
		eval 'sub splimp {
		    eval " &i_ddi_splimp()";
		}';
		eval 'sub splnet {
		    eval " &i_ddi_splnet()";
		}';
		if (defined &splstr) {
		}
		eval 'sub splstr {
		    eval " &i_ddi_splstr()";
		}';
		eval 'sub splx {
		    local($s) = @_;
		    eval " &i_ddi_splx($s)";
		}';
	    }
	    else {
		if (defined &__STDC__) {
		}
		else {
		}
	    }
	}
	eval 'sub uiophysio { &physio;}';
	eval 'sub DDI_REGS_ACC_CONFLICT {(-10);}';
	eval 'sub DDI_REGS_ACC_INVALID {(-11);}';
	eval 'sub DDI_DEV_NO_AUTOINCR {0x0000;}';
	eval 'sub DDI_DEV_AUTOINCR {0x0001;}';
	if (defined &__STDC__) {
	}
    }
    if (defined &__cplusplus) {
    }
}
1;
