if (!defined &_SYS_DKTP_MCIS_H) {
    eval 'sub _SYS_DKTP_MCIS_H {1;}';
    if (defined &__cplusplus) {
    }
    eval 'sub MCIS_KVTOP {
        local($vaddr) = @_;
        eval "( &HBA_KVTOP(($vaddr),  &mcis_pgshf,  &mcis_pgmsk))";
    }';
    eval 'sub MCIS_MAX_DMA_SEGS {16;}';
    eval 'sub MCIS_MAXLD {0x10;}';
    eval 'sub MCIS_MAXINITLD {0x06;}';
    eval 'sub MCIS_MAX_PHYSDEV {64;}';
    eval 'sub MCIS_MAX_PREMAP {7;}';
    eval 'sub ccb_scratch { &cc. &ccb_scratch;}';
    eval 'sub ccb_ownerp { &cc. &ccb_ownerp;}';
    eval 'sub MCIS_rctlp {
        local($X) = @_;
        eval "(($X))";
    }';
    eval 'sub MCIS_rintrp {
        local($X) = @_;
        eval "(($X))";
    }';
    eval 'sub MCIS_rstatp {
        local($X) = @_;
        eval "(($X))";
    }';
    eval 'sub MCIS_DIP {
        local($mcis) = @_;
        eval "((($mcis)-> &m_blkp)-> &mb_dip)";
    }';
    eval 'sub TRAN2HBA {
        local($hba) = @_;
        eval "(($hba)-> &tran_hba_private)";
    }';
    eval 'sub SDEV2HBA {
        local($sd) = @_;
        eval "( &TRAN2HBA( &SDEV2TRAN($sd)))";
    }';
    eval 'sub TRAN2MCIS {
        local($hba) = @_;
        eval "(($hba)-> &tran_tgt_private)";
    }';
    eval 'sub TRAN2MCISBLKP {
        local($hba) = @_;
        eval "(( &TRAN2MCIS($hba))-> &m_blkp)";
    }';
    eval 'sub TRAN2MCISUNITP {
        local($hba) = @_;
        eval "(( &TRAN2MCIS($hba))-> &m_unitp)";
    }';
    eval 'sub SDEV2MCIS {
        local($sd) = @_;
        eval "( &TRAN2MCIS( &SDEV2TRAN($sd)))";
    }';
    eval 'sub PKT2MCIS {
        local($pktp) = @_;
        eval "( &TRAN2MCIS( &PKT2TRAN($pktp)))";
    }';
    eval 'sub PKT2MCISUNITP {
        local($pktp) = @_;
        eval "( &TRAN2MCISUNITP( &PKT2TRAN($pktp)))";
    }';
    eval 'sub PKT2MCISBLKP {
        local($pktp) = @_;
        eval "( &TRAN2MCISBLKP( &PKT2TRAN($pktp)))";
    }';
    eval 'sub ADDR2MCISUNITP {
        local($ap) = @_;
        eval "( &TRAN2MCISUNITP( &ADDR2TRAN($ap)))";
    }';
    eval 'sub ADDR2MCISBLKP {
        local($ap) = @_;
        eval "( &TRAN2MCISBLKP( &ADDR2TRAN($ap)))";
    }';
    eval 'sub MCIS_BLKP {
        local($X) = @_;
        eval "((($X))-> &m_blkp)";
    }';
    eval 'sub set_blkcnt {
        local($X, $Y) = @_;
        eval "{ ($X)-> &ccb_cdb[0] = (($Y) & 0xff); ($X)-> &ccb_cdb[1] = ((($Y) >> 8) & 0xff); }";
    }';
    eval 'sub set_blklen {
        local($X, $Y) = @_;
        eval "{ ($X)-> &ccb_cdb[2] = (($Y) & 0xff); ($X)-> &ccb_cdb[3] = ((($Y) >> 8) & 0xff); }";
    }';
    eval 'sub MCIS_CACHE {0x0001;}';
    eval 'sub MSCB_OWNLD {0x0001;}';
    eval 'sub MSCB_WAITLD {0x0002;}';
    eval 'sub MSCB_GOTLD {0x0004;}';
    eval 'sub MSCB_INITLD {0x0008;}';
    eval 'sub MSCB_opfld { &ccb_ops. &ccb_opfld;}';
    eval 'sub MSCB_op { &ccb_ops. &ccb_op;}';
    eval 'sub TERR_SELTO {0x10;}';
    eval 'sub TERR_BUSPHASE {0x13;}';
    eval 'sub MCIS_CMD_port {
        local($X) = @_;
        eval "(($X))";
    }';
    eval 'sub MCIS_CMD {0x0;}';
    eval 'sub MCIS_ATTN {0x4;}';
    eval 'sub MCIS_CTRL {0x5;}';
    eval 'sub MCIS_INTR {0x6;}';
    eval 'sub MCIS_STAT {0x7;}';
    eval 'sub ISATTN_ICMD {0x10;}';
    eval 'sub ISATTN_SCB {0x30;}';
    eval 'sub ISATTN_LSCB {0x40;}';
    eval 'sub ISATTN_EOI {0xe0;}';
    eval 'sub MCIS_SENDEOI {
        local($X, $LD) = @_;
        eval "( &outb(($X)+ &MCIS_ATTN,  &ISATTN_EOI | ($LD)))";
    }';
    eval 'sub ISCTRL_RESET {0x80;}';
    eval 'sub ISCTRL_EDMA {0x02;}';
    eval 'sub ISCTRL_EINTR {0x01;}';
    eval 'sub ISSTAT_CMDFULL {0x8;}';
    eval 'sub ISSTAT_CMD0 {0x4;}';
    eval 'sub ISSTAT_INTRHERE {0x2;}';
    eval 'sub ISSTAT_BUSY {0x1;}';
    eval 'sub MCIS_QBUSYWAIT {
        local($X) = @_;
        eval " &mcis_qwait(($X),  &ISSTAT_BUSY, 0,  &ISSTAT_BUSY)";
    }';
    eval 'sub MCIS_QINTRWAIT {
        local($X) = @_;
        eval " &mcis_qwait(($X),  &ISSTAT_INTRHERE,  &ISSTAT_INTRHERE, 0)";
    }';
    eval 'sub MCIS_BUSYWAIT {
        local($X) = @_;
        eval " &mcis_wait(($X),  &ISSTAT_BUSY, 0,  &ISSTAT_BUSY)";
    }';
    eval 'sub MCIS_INTRWAIT {
        local($X) = @_;
        eval " &mcis_wait(($X),  &ISSTAT_INTRHERE,  &ISSTAT_INTRHERE, 0)";
    }';
    eval 'sub MCIS_CMDOUTWAIT {
        local($X) = @_;
        eval " &mcis_wait(($X),  &ISSTAT_CMD0| &ISSTAT_BUSY,  &ISSTAT_CMD0,  &ISSTAT_BUSY)";
    }';
    eval 'sub ISINTR_SCB_OK {0x1;}';
    eval 'sub ISINTR_SCB_OK2 {0x5;}';
    eval 'sub ISINTR_HBA_FAIL {0x7;}';
    eval 'sub ISINTR_ICMD_OK {0xa;}';
    eval 'sub ISINTR_CMD_FAIL {0xc;}';
    eval 'sub ISINTR_CMD_INV {0xe;}';
    eval 'sub ISINTR_SEQ_ERR {0xf;}';
    eval 'sub ISINTR_UNKNOWN_ERR {0x2;}';
    eval 'sub ISCMD_ABORT {0x0f;}';
    eval 'sub ISCMD_ASSIGN {0x0e;}';
    eval 'sub ISCMD_DEVINQ {0x0b;}';
    eval 'sub ISCMD_DMACTRL {0x0d;}';
    eval 'sub ISCMD_HBACTRL {0x0c;}';
    eval 'sub ISCMD_FMTPREP {0x17;}';
    eval 'sub ISCMD_FMTUNIT {0x16;}';
    eval 'sub ISCMD_CMDSTAT {0x07;}';
    eval 'sub ISCMD_GETPOS {0x0a;}';
    eval 'sub ISCMD_READ {0x01;}';
    eval 'sub ISCMD_READCAP {0x09;}';
    eval 'sub ISCMD_PREREAD {0x31;}';
    eval 'sub ISCMD_READVFY {0x03;}';
    eval 'sub ISCMD_REASSIGN {0x18;}';
    eval 'sub ISCMD_REQSEN {0x08;}';
    eval 'sub ISCMD_RESET {0x00;}';
    eval 'sub ISCMD_SNDSCSI {0x1f;}';
    eval 'sub ISCMD_WRITE {0x02;}';
    eval 'sub ISCMD_WRITEVFY {0x03;}';
    eval 'sub ISCMD_ICMD {0x04;}';
    eval 'sub ISCMD_SCB {0x1c;}';
    eval 'sub ISCMD_LSCB {0x24;}';
    eval 'sub MCIS_HAERR_BADCCB {0x01;}';
    eval 'sub MCIS_HAERR_BADCMD {0x03;}';
    eval 'sub MCIS_HAERR_SYSABORT {0x04;}';
    eval 'sub MCIS_HAERR_BADLD {0x0a;}';
    eval 'sub MCIS_HAERR_END {0x0b;}';
    eval 'sub MCIS_HAERR_END16 {0x0c;}';
    eval 'sub MCIS_HAERR_BADDEV {0x13;}';
    eval 'sub MCIS_HAERR_TIMEOUT {0x21;}';
    eval 'sub MCIS_HAERR_DMA {0x22;}';
    eval 'sub MCIS_HAERR_BUF {0x23;}';
    eval 'sub MCIS_HAERR_ABORT {0x24;}';
    eval 'sub MCIS_HAERR_ERR {0x80;}';
    eval 'sub MCIS_TAERR_BUSRESET {0x01;}';
    eval 'sub MCIS_TAERR_SELTO {0x10;}';
    eval 'sub LD_CMD { &ld_cmd. &mc_ac. &a_cmd;}';
    eval 'sub LD_CB { &ld_cmd. &mc_ac. &a_blk;}';
    eval 'sub MCIS_HBALD {0x0f;}';
    eval 'sub b_inqdout { &b_boottarg;}';
    eval 'sub ldmhd_fw {
        local($X) = @_;
        eval "(($X)-> &mb_ldmhd. &ld_avfw)";
    }';
    eval 'sub ldmhd_bk {
        local($X) = @_;
        eval "(($X)-> &mb_ldmhd. &ld_avbk)";
    }';
    if (defined &__cplusplus) {
    }
}
1;
