if (!defined &_SYS_VTRACE_H) {
    eval 'sub _SYS_VTRACE_H {1;}';
    if (!defined &_ASM) {
	require 'sys/types.ph';
	require 'sys/time.ph';
	if (defined &_KERNEL) {
	    require 'sys/cpuvar.ph';
	}
    }
    if (defined &__cplusplus) {
    }
    eval 'sub TR_FAC_TRACE {0;}';
    eval 'sub TR_FAC_TEST {1;}';
    eval 'sub TR_FAC_TRAP {2;}';
    eval 'sub TR_FAC_INTR {3;}';
    eval 'sub TR_FAC_SYSCALL {4;}';
    eval 'sub TR_FAC_DISP {5;}';
    eval 'sub TR_FAC_VM {6;}';
    eval 'sub TR_FAC_PROC {7;}';
    eval 'sub TR_FAC_LOCK {8;}';
    eval 'sub TR_FAC_BCOPY {9;}';
    eval 'sub TR_FAC_KMEM {10;}';
    eval 'sub TR_FAC_STREAMS_FR {11;}';
    eval 'sub TR_FAC_STREAMS_MOD {12;}';
    eval 'sub TR_FAC_SOCKMOD {13;}';
    eval 'sub TR_FAC_TCP {14;}';
    eval 'sub TR_FAC_UDP {15;}';
    eval 'sub TR_FAC_IP {16;}';
    eval 'sub TR_FAC_ARP {17;}';
    eval 'sub TR_FAC_LE {18;}';
    eval 'sub TR_FAC_IPI {19;}';
    eval 'sub TR_FAC_MCOUNT {20;}';
    eval 'sub TR_FAC_SCSI {21;}';
    eval 'sub TR_FAC_LWP {22;}';
    eval 'sub TR_FAC_SYS_LWP {23;}';
    eval 'sub TR_FAC_CALLOUT {24;}';
    eval 'sub TR_FAC_SPECFS {29;}';
    eval 'sub TR_FAC_SWAPFS {30;}';
    eval 'sub TR_FAC_TMPFS {31;}';
    eval 'sub TR_FAC_UFS {32;}';
    eval 'sub TR_FAC_NFS {33;}';
    eval 'sub TR_FAC_DDI {35;}';
    eval 'sub TR_FAC_KRPC {36;}';
    eval 'sub TR_FAC_SCHED {37;}';
    eval 'sub TR_FAC_SCSI_RES {38;}';
    eval 'sub TR_FAC_SCSI_ISP {39;}';
    eval 'sub TR_FAC_IA {40;}';
    eval 'sub TR_FAC_S5 {41;}';
    eval 'sub TR_FAC_QE {42;}';
    eval 'sub TR_FAC_BE {43;}';
    eval 'sub TR_FAC_FIFO {44;}';
    eval 'sub TR_FAC_RLOGINP {45;}';
    eval 'sub TR_FAC_AE {46;}';
    eval 'sub TR_DDI_DMA_BUF_SETUP_START {0;}';
    eval 'sub TR_DDI_DMA_BUF_SETUP_END {1;}';
    eval 'sub TR_IOMMUNEX_DMA_MAP_START {2;}';
    eval 'sub TR_IOMMUNEX_DMA_MAP_END {3;}';
    eval 'sub TR_IOMMUNEX_DMA_MAP_GETDVMAPAGES_START {4;}';
    eval 'sub TR_IOMMUNEX_DMA_MAP_GETDVMAPAGES_END {5;}';
    eval 'sub TR_END {0;}';
    eval 'sub TR_VERSION {1;}';
    eval 'sub TR_TITLE {2;}';
    eval 'sub TR_PAD {3;}';
    eval 'sub TR_LABEL {4;}';
    eval 'sub TR_PAGESIZE {5;}';
    eval 'sub TR_NUM_CPUS {6;}';
    eval 'sub TR_CPU {7;}';
    eval 'sub TR_DATA_4 {8;}';
    eval 'sub TR_DATA_8 {9;}';
    eval 'sub TR_DATA_16 {10;}';
    eval 'sub TR_DATA_32 {11;}';
    eval 'sub TR_DATA_64 {12;}';
    eval 'sub TR_ABS_TIME {13;}';
    eval 'sub TR_START_TIME {14;}';
    eval 'sub TR_ELAPSED_TIME {15;}';
    eval 'sub TR_TOTAL_TIME {16;}';
    eval 'sub TR_KTHREAD_ID {17;}';
    eval 'sub TR_UTHREAD_ID {18;}';
    eval 'sub TR_RAW_KTHREAD_ID {64;}';
    eval 'sub TR_RAW_UTHREAD_ID {65;}';
    eval 'sub TR_KTHREAD_LABEL {66;}';
    eval 'sub TR_UTHREAD_LABEL {67;}';
    eval 'sub TR_PROCESS_NAME {68;}';
    eval 'sub TR_PROCESS_FORK {69;}';
    eval 'sub TR_SPEED_0 {0;}';
    eval 'sub TR_SPEED_1 {1;}';
    eval 'sub TR_SPEED_1_STRING {2;}';
    eval 'sub TR_SPEED_2 {3;}';
    eval 'sub TR_SPEED_2_STRING {4;}';
    eval 'sub TR_SPEED_3 {5;}';
    eval 'sub TR_SPEED_3_STRING {6;}';
    eval 'sub TR_SPEED_4 {7;}';
    eval 'sub TR_SPEED_4_STRING {8;}';
    eval 'sub TR_SPEED_5 {9;}';
    eval 'sub TR_SPEED_5_STRING {10;}';
    eval 'sub TR_TRACE_FLUSH_START {11;}';
    eval 'sub TR_TRACE_FLUSH_END {12;}';
    eval 'sub TR_TRACE_VN_WRITE_START {13;}';
    eval 'sub TR_TRACE_VN_WRITE_END {14;}';
    eval 'sub TR_TRAP_START {0;}';
    eval 'sub TR_TRAP_END {1;}';
    eval 'sub TR_KERNEL_WINDOW_OVERFLOW {2;}';
    eval 'sub TR_KERNEL_WINDOW_UNDERFLOW {3;}';
    eval 'sub TR_USER_WINDOW_OVERFLOW {4;}';
    eval 'sub TR_USER_WINDOW_UNDERFLOW {5;}';
    eval 'sub TR_C_TRAP_HANDLER_ENTER {6;}';
    eval 'sub TR_C_TRAP_HANDLER_EXIT {7;}';
    eval 'sub TR_INTR_START {0;}';
    eval 'sub TR_INTR_END {1;}';
    eval 'sub TR_INTR_EXIT {2;}';
    eval 'sub TR_INTR_PASSIVATE {3;}';
    eval 'sub TR_SYSCALL_START {0;}';
    eval 'sub TR_SYSCALL_END {1;}';
    eval 'sub TR_DISP_START {0;}';
    eval 'sub TR_DISP_END {1;}';
    eval 'sub TR_SWTCH_START {2;}';
    eval 'sub TR_SWTCH_END {3;}';
    eval 'sub TR_PREEMPT_START {4;}';
    eval 'sub TR_PREEMPT_END {5;}';
    eval 'sub TR_RESUME_START {6;}';
    eval 'sub TR_RESUME_END {7;}';
    eval 'sub TR_FRONTQ {8;}';
    eval 'sub TR_BACKQ {9;}';
    eval 'sub TR_CPU_RESCHED {10;}';
    eval 'sub TR_SLEEP {11;}';
    eval 'sub TR_TRAPRET {12;}';
    eval 'sub TR_TICK {13;}';
    eval 'sub TR_UPDATE {14;}';
    eval 'sub TR_CPU_CHOOSE {15;}';
    eval 'sub TR_CPU_SURRENDER {16;}';
    eval 'sub TR_PREEMPT {17;}';
    eval 'sub TR_PAGE_INIT {0;}';
    eval 'sub TR_PAGE_WS_IN {1;}';
    eval 'sub TR_PAGE_WS_OUT {2;}';
    eval 'sub TR_PAGE_WS_FREE {3;}';
    eval 'sub TR_PAGE_WS_RECLAIM {4;}';
    eval 'sub TR_PAGEOUT_START {5;}';
    eval 'sub TR_PAGEOUT_END {6;}';
    eval 'sub TR_PAGEOUT_HAND_WRAP {7;}';
    eval 'sub TR_PAGEOUT_MAXPGIO {8;}';
    eval 'sub TR_PAGEOUT_ISREF {9;}';
    eval 'sub TR_PAGEOUT_FREE {10;}';
    eval 'sub TR_PAGEOUT_CV_SIGNAL {11;}';
    eval 'sub TR_HAT_SETMOD {12;}';
    eval 'sub TR_HAT_SETREF {13;}';
    eval 'sub TR_HAT_SETREFMOD {14;}';
    eval 'sub TR_HAT_CLRMOD {15;}';
    eval 'sub TR_HAT_CLRREF {16;}';
    eval 'sub TR_HAT_CLRREFMOD {17;}';
    eval 'sub TR_HME_ADD {18;}';
    eval 'sub TR_HME_SUB {19;}';
    eval 'sub TR_SEGMAP_FAULT {20;}';
    eval 'sub TR_SEGMAP_GETMAP {21;}';
    eval 'sub TR_SEGMAP_RELMAP {22;}';
    eval 'sub TR_SEGMAP_PAGECREATE {23;}';
    eval 'sub TR_SEGMAP_GETPAGE {24;}';
    eval 'sub TR_SEGVN_FAULT {25;}';
    eval 'sub TR_SEGVN_GETPAGE {26;}';
    eval 'sub TR_ANON_GETPAGE {27;}';
    eval 'sub TR_ANON_PRIVATE {28;}';
    eval 'sub TR_SEGKMEM_ALLOC {29;}';
    eval 'sub TR_SWAP_ALLOC {30;}';
    eval 'sub TR_PVN_READ_KLUSTER {31;}';
    eval 'sub TR_PVN_GETDIRTY {32;}';
    eval 'sub TR_PAGE_CREATE_START {33;}';
    eval 'sub TR_PAGE_CREATE_TOOBIG {34;}';
    eval 'sub TR_PAGE_CREATE_NOMEM {35;}';
    eval 'sub TR_PAGE_CREATE_SUCCESS {36;}';
    eval 'sub TR_PAGE_CREATE_SLEEP_START {37;}';
    eval 'sub TR_PAGE_CREATE_SLEEP_END {38;}';
    eval 'sub TR_PAGE_CREATE_ALLOC {39;}';
    eval 'sub TR_PAGE_FREE_FREE {40;}';
    eval 'sub TR_PAGE_FREE_CACHE_HEAD {41;}';
    eval 'sub TR_PAGE_FREE_CACHE_TAIL {42;}';
    eval 'sub TR_PAGE_UNFREE_FREE {43;}';
    eval 'sub TR_PAGE_UNFREE_CACHE {44;}';
    eval 'sub TR_PAGE_DESTROY {45;}';
    eval 'sub TR_PAGE_HASHIN {46;}';
    eval 'sub TR_PAGE_HASHOUT {47;}';
    eval 'sub TR_ANON_PROC {48;}';
    eval 'sub TR_ANON_SHM {49;}';
    eval 'sub TR_ANON_TMPFS {50;}';
    eval 'sub TR_ANON_SWAP {51;}';
    eval 'sub TR_ANON_EXEC {52;}';
    eval 'sub TR_ANON_SEGKP {53;}';
    eval 'sub TR_SAMPLE_REF {54;}';
    eval 'sub TR_SAMPLE_MOD {55;}';
    eval 'sub TR_SAMPLE_WS_START {56;}';
    eval 'sub TR_SAMPLE_WS_END {57;}';
    eval 'sub TR_KAS_INFO {58;}';
    eval 'sub TR_AS_INFO {59;}';
    eval 'sub TR_SEG_INFO {60;}';
    eval 'sub TR_PAGE_RENAME {61;}';
    eval 'sub TR_SWAP_RENAME {62;}';
    eval 'sub TR_PROC_EXEC {0;}';
    eval 'sub TR_PROC_EXIT {1;}';
    eval 'sub TR_PROC_FORK {2;}';
    eval 'sub TR_EXECMAP_PREREAD {3;}';
    eval 'sub TR_EXECMAP_NO_PREREAD {4;}';
    eval 'sub TR_SWAPIN {0;}';
    eval 'sub TR_SWAPOUT {1;}';
    eval 'sub TR_RUNIN {2;}';
    eval 'sub TR_RUNOUT {3;}';
    eval 'sub TR_CHOOSE_SWAPOUT {4;}';
    eval 'sub TR_CHOOSE_SWAPIN {5;}';
    eval 'sub TR_SOFTSWAP {6;}';
    eval 'sub TR_HARDSWAP {7;}';
    eval 'sub TR_DESPERATE {8;}';
    eval 'sub TR_HIGH_DEFICIT {9;}';
    eval 'sub TR_SWAPIN_VALUES {10;}';
    eval 'sub TR_UNLOAD {11;}';
    eval 'sub TR_SWAPOUT_LWP {12;}';
    eval 'sub TR_SWAPQ_LWP {13;}';
    eval 'sub TR_SWAPQ_PROC {14;}';
    eval 'sub TR_RW_ENTER_RD_START {0;}';
    eval 'sub TR_RW_ENTER_RD_END {1;}';
    eval 'sub TR_RW_ENTER_WR_START {2;}';
    eval 'sub TR_RW_ENTER_WR_END {3;}';
    eval 'sub TR_RW_EXIT_START {4;}';
    eval 'sub TR_RW_EXIT_END {5;}';
    eval 'sub TR_BCOPY_START {0;}';
    eval 'sub TR_KCOPY_START {1;}';
    eval 'sub TR_PGCOPY_START {2;}';
    eval 'sub TR_COPYOUT_START {3;}';
    eval 'sub TR_COPYIN_START {4;}';
    eval 'sub TR_COPY_END {5;}';
    eval 'sub TR_COPY_FAULT {6;}';
    eval 'sub TR_COPYOUT_FAULT {7;}';
    eval 'sub TR_COPYIN_FAULT {8;}';
    eval 'sub TR_COPYIN_NOERR_START {9;}';
    eval 'sub TR_COPYOUT_NOERR_START {10;}';
    eval 'sub TR_KMEM_ALLOC_START {0;}';
    eval 'sub TR_KMEM_ALLOC_END {1;}';
    eval 'sub TR_KMEM_ZALLOC_START {2;}';
    eval 'sub TR_KMEM_ZALLOC_END {3;}';
    eval 'sub TR_KMEM_FREE_START {4;}';
    eval 'sub TR_KMEM_FREE_END {5;}';
    eval 'sub TR_KMEM_FAST_ALLOC_START {6;}';
    eval 'sub TR_KMEM_FAST_ALLOC_END {7;}';
    eval 'sub TR_KMEM_FAST_ZALLOC_START {8;}';
    eval 'sub TR_KMEM_FAST_ZALLOC_END {9;}';
    eval 'sub TR_KMEM_FAST_FREE_START {10;}';
    eval 'sub TR_KMEM_FAST_FREE_END {11;}';
    eval 'sub TR_KMEM_CACHE_ALLOC_START {12;}';
    eval 'sub TR_KMEM_CACHE_ALLOC_END {13;}';
    eval 'sub TR_KMEM_CACHE_FREE_START {14;}';
    eval 'sub TR_KMEM_CACHE_FREE_END {15;}';
    eval 'sub TR_KMEM_SLAB_CREATE_START {16;}';
    eval 'sub TR_KMEM_SLAB_CREATE_END {17;}';
    eval 'sub TR_KMEM_SLAB_DESTROY_START {18;}';
    eval 'sub TR_KMEM_SLAB_DESTROY_END {19;}';
    eval 'sub TR_KMEM_GETPAGES_START {20;}';
    eval 'sub TR_KMEM_GETPAGES_END {21;}';
    eval 'sub TR_KMEM_FREEPAGES_START {22;}';
    eval 'sub TR_KMEM_FREEPAGES_END {23;}';
    eval 'sub TR_KMEM_ASYNC_DISPATCH_START {24;}';
    eval 'sub TR_KMEM_ASYNC_DISPATCH_END {25;}';
    eval 'sub TR_KMEM_ASYNC_SERVICE_START {26;}';
    eval 'sub TR_KMEM_ASYNC_SERVICE_END {27;}';
    eval 'sub TR_KMEM_HASH_RESCALE_START {28;}';
    eval 'sub TR_KMEM_HASH_RESCALE_END {29;}';
    eval 'sub TR_STROPEN {0;}';
    eval 'sub TR_STRCLOSE {1;}';
    eval 'sub TR_STRCLEAN {2;}';
    eval 'sub TR_STRREAD_ENTER {3;}';
    eval 'sub TR_STRREAD_WAIT {4;}';
    eval 'sub TR_STRREAD_DONE {5;}';
    eval 'sub TR_STRREAD_AWAKE {6;}';
    eval 'sub TR_STRRPUT_ENTER {7;}';
    eval 'sub TR_STRRPUT_PROTERR {8;}';
    eval 'sub TR_STRRPUT_WAKE {9;}';
    eval 'sub TR_STRRPUT_WAKE2 {10;}';
    eval 'sub TR_STRWSRV {11;}';
    eval 'sub TR_IOCTL_ENTER {12;}';
    eval 'sub TR_I_CANT_FIND {13;}';
    eval 'sub TR_I_PUSH {14;}';
    eval 'sub TR_I_POP {15;}';
    eval 'sub TR_I_LINK {16;}';
    eval 'sub TR_STPDOWN {17;}';
    eval 'sub TR_I_UNLINK {18;}';
    eval 'sub TR_STRDOIOCTL {19;}';
    eval 'sub TR_STRDOIOCTL_WAIT {20;}';
    eval 'sub TR_STRDOIOCTL_PUT {21;}';
    eval 'sub TR_STRDOIOCTL_WAIT2 {22;}';
    eval 'sub TR_STRDOIOCTL_ACK {23;}';
    eval 'sub TR_STRSENDSIG {24;}';
    eval 'sub TR_QATTACH_FLAGS {25;}';
    eval 'sub TR_STRTIME {26;}';
    eval 'sub TR_STR2TIME {27;}';
    eval 'sub TR_STR3TIME {28;}';
    eval 'sub TR_STRWAITQ_WAIT {29;}';
    eval 'sub TR_STRWAITQ_INTR {30;}';
    eval 'sub TR_STRWAITQ_WAKE {31;}';
    eval 'sub TR_STRWAITQ_WAIT2 {32;}';
    eval 'sub TR_STRWAITQ_INTR2 {33;}';
    eval 'sub TR_STRWAITQ_WAKE2 {34;}';
    eval 'sub TR_QRUN_START {35;}';
    eval 'sub TR_QRUN_DONE {36;}';
    eval 'sub TR_DQ_SERVICE {37;}';
    eval 'sub TR_RMV_QP {38;}';
    eval 'sub TR_QRUNSERVICE_START {39;}';
    eval 'sub TR_BACKGROUND_DQ {40;}';
    eval 'sub TR_BACKGROUND_DONE {41;}';
    eval 'sub TR_SENDSIG {42;}';
    eval 'sub TR_INSERTQ {43;}';
    eval 'sub TR_REMOVEQ {44;}';
    eval 'sub TR_DRAIN_SYNCQ_PUT {45;}';
    eval 'sub TR_FILL_SYNCQ {46;}';
    eval 'sub TR_CANPUT_IN {47;}';
    eval 'sub TR_CANPUT_OUT {48;}';
    eval 'sub TR_BCANPUT_IN {49;}';
    eval 'sub TR_BCANPUT_OUT {50;}';
    eval 'sub TR_STRWRITE_IN {51;}';
    eval 'sub TR_STRWRITE_OUT {52;}';
    eval 'sub TR_STRWRITE_WAIT {53;}';
    eval 'sub TR_STRWRITE_WAKE {54;}';
    eval 'sub TR_STRWRITE_PUT {55;}';
    eval 'sub TR_STRWRITE_RESID {56;}';
    eval 'sub TR_STRPUTMSG_IN {57;}';
    eval 'sub TR_STRPUTMSG_WAIT {58;}';
    eval 'sub TR_STRPUTMSG_WAKE {59;}';
    eval 'sub TR_STRPUTMSG_OUT {60;}';
    eval 'sub TR_QENABLE {61;}';
    eval 'sub TR_QRUNFLAG {62;}';
    eval 'sub TR_RUNQUEUES {63;}';
    eval 'sub TR_QRUN_DQ {64;}';
    eval 'sub TR_QRUNSERVICE_END {65;}';
    eval 'sub TR_BACKGROUND_AWAKE {66;}';
    eval 'sub TR_QRUN_LEAVES {67;}';
    eval 'sub TR_PUT_START {68;}';
    eval 'sub TR_PUT_END {69;}';
    eval 'sub TR_PUTNEXT_START {70;}';
    eval 'sub TR_PUTNEXT_END {71;}';
    eval 'sub TR_DRAIN_SYNCQ_START {72;}';
    eval 'sub TR_DRAIN_SYNCQ_END {73;}';
    eval 'sub TR_MI_TIMER_RSRV_IN {0;}';
    eval 'sub TR_MI_TIMER_RSRV_OUT {1;}';
    eval 'sub TR_MI_TIMER_FIRE {2;}';
    eval 'sub TR_MCOPYMSG {3;}';
    eval 'sub TR_SOCKMOD_RPUT_IN {0;}';
    eval 'sub TR_SOCKMOD_RPUT_OUT {1;}';
    eval 'sub TR_SOCKMOD_WPUT_IN {2;}';
    eval 'sub TR_SOCKMOD_WPUT_OUT {3;}';
    eval 'sub TR_SOCKMOD_RSRV_IN {4;}';
    eval 'sub TR_SOCKMOD_RSRV_OUT {5;}';
    eval 'sub TR_SOCKMOD_WSRV_IN {6;}';
    eval 'sub TR_SOCKMOD_WSRV_OUT {7;}';
    eval 'sub TR_TCP_OPEN {0;}';
    eval 'sub TR_TCP_CLOSE {1;}';
    eval 'sub TR_TCP_RPUT_IN {2;}';
    eval 'sub TR_TCP_RPUT_OUT {3;}';
    eval 'sub TR_TCP_WPUT_IN {4;}';
    eval 'sub TR_TCP_WPUT_OUT {5;}';
    eval 'sub TR_TCP_RSRV_IN {6;}';
    eval 'sub TR_TCP_RSRV_OUT {7;}';
    eval 'sub TR_TCP_WSRV_IN {8;}';
    eval 'sub TR_TCP_WSRV_OUT {9;}';
    eval 'sub TR_TCP_WPUT_SLOW_IN {10;}';
    eval 'sub TR_TCP_WPUT_SLOW_OUT {11;}';
    eval 'sub TR_TCP_RPUT_SLOW_IN {12;}';
    eval 'sub TR_TCP_RPUT_SLOW_OUT {13;}';
    eval 'sub TR_UDP_OPEN {0;}';
    eval 'sub TR_UDP_CLOSE {1;}';
    eval 'sub TR_UDP_RPUT_START {2;}';
    eval 'sub TR_UDP_RPUT_END {3;}';
    eval 'sub TR_UDP_WPUT_START {4;}';
    eval 'sub TR_UDP_WPUT_END {5;}';
    eval 'sub TR_UDP_WPUT_OTHER_START {6;}';
    eval 'sub TR_UDP_WPUT_OTHER_END {7;}';
    eval 'sub TR_IP_OPEN {0;}';
    eval 'sub TR_IP_CLOSE {1;}';
    eval 'sub TR_IP_RPUT_START {2;}';
    eval 'sub TR_IP_RPUT_END {3;}';
    eval 'sub TR_IP_WPUT_START {4;}';
    eval 'sub TR_IP_WPUT_END {5;}';
    eval 'sub TR_IP_WSRV_START {6;}';
    eval 'sub TR_IP_WSRV_END {7;}';
    eval 'sub TR_IP_LRPUT_START {8;}';
    eval 'sub TR_IP_LRPUT_END {9;}';
    eval 'sub TR_IP_LWPUT_START {10;}';
    eval 'sub TR_IP_LWPUT_END {11;}';
    eval 'sub TR_IP_RPUT_LOCL_START {12;}';
    eval 'sub TR_IP_RPUT_LOCL_END {13;}';
    eval 'sub TR_IP_RPUT_LOCL_ERR {14;}';
    eval 'sub TR_IP_RSRV_START {15;}';
    eval 'sub TR_IP_RSRV_END {16;}';
    eval 'sub TR_IP_CKSUM_START {17;}';
    eval 'sub TR_IP_CKSUM_END {18;}';
    eval 'sub TR_IP_CKSUM_COPY_START {19;}';
    eval 'sub TR_IP_CKSUM_COPY_END {20;}';
    eval 'sub TR_IP_WPUT_IRE_START {21;}';
    eval 'sub TR_IP_WPUT_IRE_END {22;}';
    eval 'sub TR_IP_WPUT_FRAG_START {23;}';
    eval 'sub TR_IP_WPUT_FRAG_END {24;}';
    eval 'sub TR_IP_WPUT_LOCAL_START {25;}';
    eval 'sub TR_IP_WPUT_LOCAL_END {26;}';
    eval 'sub TR_ARP_OPEN {0;}';
    eval 'sub TR_ARP_CLOSE {1;}';
    eval 'sub TR_ARP_RPUT_START {2;}';
    eval 'sub TR_ARP_RPUT_END {3;}';
    eval 'sub TR_ARP_WPUT_START {4;}';
    eval 'sub TR_ARP_WPUT_END {5;}';
    eval 'sub TR_ARP_WSRV_START {6;}';
    eval 'sub TR_ARP_WSRV_END {7;}';
    eval 'sub TR_LE_OPEN {0;}';
    eval 'sub TR_LE_CLOSE {1;}';
    eval 'sub TR_LE_WPUT_START {2;}';
    eval 'sub TR_LE_WPUT_END {3;}';
    eval 'sub TR_LE_WSRV_START {4;}';
    eval 'sub TR_LE_WSRV_END {5;}';
    eval 'sub TR_LE_START_START {6;}';
    eval 'sub TR_LE_START_END {7;}';
    eval 'sub TR_LE_INTR_START {8;}';
    eval 'sub TR_LE_INTR_END {9;}';
    eval 'sub TR_LE_READ_START {10;}';
    eval 'sub TR_LE_READ_END {11;}';
    eval 'sub TR_LE_SENDUP_START {12;}';
    eval 'sub TR_LE_SENDUP_END {13;}';
    eval 'sub TR_LE_ADDUDIND_START {14;}';
    eval 'sub TR_LE_ADDUDIND_END {15;}';
    eval 'sub TR_LE_GETBUF_START {16;}';
    eval 'sub TR_LE_GETBUF_END {17;}';
    eval 'sub TR_LE_FREEBUF_START {18;}';
    eval 'sub TR_LE_FREEBUF_END {19;}';
    eval 'sub TR_LE_PROTO_START {20;}';
    eval 'sub TR_LE_PROTO_END {21;}';
    eval 'sub TR_LE_INIT_START {22;}';
    eval 'sub TR_LE_INIT_END {23;}';
    eval 'sub TR_LE_PROTO_IN {24;}';
    eval 'sub TR_LE_PROTO_OUT {25;}';
    eval 'sub TR_QE_OPEN {0;}';
    eval 'sub TR_QE_CLOSE {1;}';
    eval 'sub TR_QE_WPUT_START {2;}';
    eval 'sub TR_QE_WPUT_END {3;}';
    eval 'sub TR_QE_WSRV_START {4;}';
    eval 'sub TR_QE_WSRV_END {5;}';
    eval 'sub TR_QE_START_START {6;}';
    eval 'sub TR_QE_START_END {7;}';
    eval 'sub TR_QE_INTR_START {8;}';
    eval 'sub TR_QE_INTR_END {9;}';
    eval 'sub TR_QE_READ_START {10;}';
    eval 'sub TR_QE_READ_END {11;}';
    eval 'sub TR_QE_SENDUP_START {12;}';
    eval 'sub TR_QE_SENDUP_END {13;}';
    eval 'sub TR_QE_ADDUDIND_START {14;}';
    eval 'sub TR_QE_ADDUDIND_END {15;}';
    eval 'sub TR_QE_GETBUF_START {16;}';
    eval 'sub TR_QE_GETBUF_END {17;}';
    eval 'sub TR_QE_FREEBUF_START {18;}';
    eval 'sub TR_QE_FREEBUF_END {19;}';
    eval 'sub TR_QE_PROTO_START {20;}';
    eval 'sub TR_QE_PROTO_END {21;}';
    eval 'sub TR_QE_INIT_START {22;}';
    eval 'sub TR_QE_INIT_END {23;}';
    eval 'sub TR_QE_PROTO_IN {24;}';
    eval 'sub TR_QE_PROTO_OUT {25;}';
    eval 'sub TR_BE_OPEN {0;}';
    eval 'sub TR_BE_CLOSE {1;}';
    eval 'sub TR_BE_WPUT_START {2;}';
    eval 'sub TR_BE_WPUT_END {3;}';
    eval 'sub TR_BE_WSRV_START {4;}';
    eval 'sub TR_BE_WSRV_END {5;}';
    eval 'sub TR_BE_START_START {6;}';
    eval 'sub TR_BE_START_END {7;}';
    eval 'sub TR_BE_INTR_START {8;}';
    eval 'sub TR_BE_INTR_END {9;}';
    eval 'sub TR_BE_READ_START {10;}';
    eval 'sub TR_BE_READ_END {11;}';
    eval 'sub TR_BE_SENDUP_START {12;}';
    eval 'sub TR_BE_SENDUP_END {13;}';
    eval 'sub TR_BE_ADDUDIND_START {14;}';
    eval 'sub TR_BE_ADDUDIND_END {15;}';
    eval 'sub TR_BE_GETBUF_START {16;}';
    eval 'sub TR_BE_GETBUF_END {17;}';
    eval 'sub TR_BE_FREEBUF_START {18;}';
    eval 'sub TR_BE_FREEBUF_END {19;}';
    eval 'sub TR_BE_PROTO_START {20;}';
    eval 'sub TR_BE_PROTO_END {21;}';
    eval 'sub TR_BE_INIT_START {22;}';
    eval 'sub TR_BE_INIT_END {23;}';
    eval 'sub TR_BE_PROTO_IN {24;}';
    eval 'sub TR_BE_PROTO_OUT {25;}';
    eval 'sub TR_AE_OPEN {0;}';
    eval 'sub TR_AE_CLOSE {1;}';
    eval 'sub TR_AE_WPUT_START {2;}';
    eval 'sub TR_AE_WPUT_END {3;}';
    eval 'sub TR_AE_WSRV_START {4;}';
    eval 'sub TR_AE_WSRV_END {5;}';
    eval 'sub TR_AE_START_START {6;}';
    eval 'sub TR_AE_START_END {7;}';
    eval 'sub TR_AE_INTR_START {8;}';
    eval 'sub TR_AE_INTR_END {9;}';
    eval 'sub TR_AE_READ_START {10;}';
    eval 'sub TR_AE_READ_END {11;}';
    eval 'sub TR_AE_SENDUP_START {12;}';
    eval 'sub TR_AE_SENDUP_END {13;}';
    eval 'sub TR_AE_ADDUDIND_START {14;}';
    eval 'sub TR_AE_ADDUDIND_END {15;}';
    eval 'sub TR_AE_GETBUF_START {16;}';
    eval 'sub TR_AE_GETBUF_END {17;}';
    eval 'sub TR_AE_FREEBUF_START {18;}';
    eval 'sub TR_AE_FREEBUF_END {19;}';
    eval 'sub TR_AE_PROTO_START {20;}';
    eval 'sub TR_AE_PROTO_END {21;}';
    eval 'sub TR_AE_INIT_START {22;}';
    eval 'sub TR_AE_INIT_END {23;}';
    eval 'sub TR_AE_PROTO_IN {24;}';
    eval 'sub TR_AE_PROTO_OUT {25;}';
    eval 'sub TR_IPI_START {0;}';
    eval 'sub TR_IPI_RESET_SLAVE {1;}';
    eval 'sub TR_IPI_RESET_CHAN {2;}';
    eval 'sub TR_IPI_RESET_BOARD {3;}';
    eval 'sub TR_IPI_TEST_BOARD {4;}';
    eval 'sub TR_IPI_GET_XFER_MODE {5;}';
    eval 'sub TR_IPI_SET_XFER_MODE {6;}';
    eval 'sub TR_IPI_INTR_1 {7;}';
    eval 'sub TR_IPI_INTR_2 {8;}';
    eval 'sub TR_IPI_POLL_1 {9;}';
    eval 'sub TR_IPI_POLL_2 {10;}';
    eval 'sub TR_IPI_RETRY {11;}';
    eval 'sub TR_IPI_IS_CMD {12;}';
    eval 'sub TR_IPI_INTR_OK {13;}';
    eval 'sub TR_IPI_INTR_RESP {14;}';
    eval 'sub TR_IPI_INTR_ERR {15;}';
    eval 'sub TR_MCOUNT_ENTER {0;}';
    eval 'sub TR_PID_ON {0;}';
    eval 'sub TR_PID_OFF {1;}';
    eval 'sub TR_GROUP_ON {2;}';
    eval 'sub TR_GROUP_OFF {3;}';
    eval 'sub TR_CONTROL_TTY {4;}';
    eval 'sub TR_ACTIVE_CHAIN {5;}';
    eval 'sub TR_S5_SYNCIP_START {0;}';
    eval 'sub TR_S5_SYNCIP_END {1;}';
    eval 'sub TR_S5_OPEN {2;}';
    eval 'sub TR_S5_CLOSE {3;}';
    eval 'sub TR_S5_READ_START {4;}';
    eval 'sub TR_S5_READ_END {5;}';
    eval 'sub TR_S5_WRITE_START {6;}';
    eval 'sub TR_S5_WRITE_END {7;}';
    eval 'sub TR_S5_RWIP_START {8;}';
    eval 'sub TR_S5_RWIP_END {9;}';
    eval 'sub TR_S5_GETATTR_START {10;}';
    eval 'sub TR_S5_GETATTR_END {11;}';
    eval 'sub TR_S5_SETATTR_START {12;}';
    eval 'sub TR_S5_SETATTR_END {13;}';
    eval 'sub TR_S5_ACCESS_START {14;}';
    eval 'sub TR_S5_ACCESS_END {15;}';
    eval 'sub TR_S5_READLINK_START {16;}';
    eval 'sub TR_S5_READLINK_END {17;}';
    eval 'sub TR_S5_FSYNC_START {18;}';
    eval 'sub TR_S5_FSYNC_END {19;}';
    eval 'sub TR_S5_LOOKUP_START {20;}';
    eval 'sub TR_S5_LOOKUP_END {21;}';
    eval 'sub TR_S5_CREATE_START {22;}';
    eval 'sub TR_S5_CREATE_END {23;}';
    eval 'sub TR_S5_REMOVE_START {24;}';
    eval 'sub TR_S5_REMOVE_END {25;}';
    eval 'sub TR_S5_LINK_START {26;}';
    eval 'sub TR_S5_LINK_END {27;}';
    eval 'sub TR_S5_RENAME_START {28;}';
    eval 'sub TR_S5_RENAME_END {29;}';
    eval 'sub TR_S5_MKDIR_START {30;}';
    eval 'sub TR_S5_MKDIR_END {31;}';
    eval 'sub TR_S5_RMDIR_START {32;}';
    eval 'sub TR_S5_RMDIR_END {33;}';
    eval 'sub TR_S5_READDIR_START {34;}';
    eval 'sub TR_S5_READDIR_END {35;}';
    eval 'sub TR_S5_SYMLINK_START {36;}';
    eval 'sub TR_S5_SYMLINK_END {37;}';
    eval 'sub TR_S5_GETPAGE_START {38;}';
    eval 'sub TR_S5_GETPAGE_END {39;}';
    eval 'sub TR_S5_PUTPAGE_START {40;}';
    eval 'sub TR_S5_PUTPAGE_END {41;}';
    eval 'sub TR_S5_PUTAPAGE_START {42;}';
    eval 'sub TR_S5_PUTAPAGE_END {43;}';
    eval 'sub TR_S5_STARTIO_START {44;}';
    eval 'sub TR_S5_STARTIO_END {45;}';
    eval 'sub TR_S5_MAP_START {46;}';
    eval 'sub TR_S5_MAP_END {47;}';
    eval 'sub TR_ESPSVC_ACTION_CALL {0;}';
    eval 'sub TR_ESPSVC_START {1;}';
    eval 'sub TR_ESPSVC_END {2;}';
    eval 'sub TR_ESP_CALLBACK_START {3;}';
    eval 'sub TR_ESP_CALLBACK_END {4;}';
    eval 'sub TR_ESP_DOPOLL_START {5;}';
    eval 'sub TR_ESP_DOPOLL_END {6;}';
    eval 'sub TR_ESP_FINISH_START {7;}';
    eval 'sub TR_ESP_FINISH_END {8;}';
    eval 'sub TR_ESP_FINISH_SELECT_START {9;}';
    eval 'sub TR_ESP_FINISH_SELECT_RESET1_END {10;}';
    eval 'sub TR_ESP_FINISH_SELECT_RETURN1_END {11;}';
    eval 'sub TR_ESP_FINISH_SELECT_RETURN2_END {12;}';
    eval 'sub TR_ESP_FINISH_SELECT_FINISH_END {13;}';
    eval 'sub TR_ESP_FINISH_SELECT_ACTION1_END {14;}';
    eval 'sub TR_ESP_FINISH_SELECT_ACTION2_END {15;}';
    eval 'sub TR_ESP_FINISH_SELECT_RESET2_END {16;}';
    eval 'sub TR_ESP_FINISH_SELECT_RESET3_END {17;}';
    eval 'sub TR_ESP_FINISH_SELECT_ACTION3_END {18;}';
    eval 'sub TR_ESP_HANDLE_CLEARING_START {19;}';
    eval 'sub TR_ESP_HANDLE_CLEARING_END {20;}';
    eval 'sub TR_ESP_HANDLE_CLEARING_FINRST_END {21;}';
    eval 'sub TR_ESP_HANDLE_CLEARING_RETURN1_END {22;}';
    eval 'sub TR_ESP_HANDLE_CLEARING_ABORT_END {23;}';
    eval 'sub TR_ESP_HANDLE_CLEARING_LINKED_CMD_END {24;}';
    eval 'sub TR_ESP_HANDLE_CLEARING_RETURN2_END {25;}';
    eval 'sub TR_ESP_HANDLE_CLEARING_RETURN3_END {26;}';
    eval 'sub TR_ESP_HANDLE_CMD_START_START {27;}';
    eval 'sub TR_ESP_HANDLE_CMD_START_END {28;}';
    eval 'sub TR_ESP_HANDLE_CMD_START_ABORT_CMD_END {29;}';
    eval 'sub TR_ESP_HANDLE_CMD_DONE_START {30;}';
    eval 'sub TR_ESP_HANDLE_CMD_DONE_END {31;}';
    eval 'sub TR_ESP_HANDLE_CMD_DONE_ABORT1_END {32;}';
    eval 'sub TR_ESP_HANDLE_CMD_DONE_ABORT2_END {33;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_START {34;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_FINRST_END {35;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_RETURN1_END {36;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_ACTION1_END {37;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_ACTION2_END {38;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_ACTION3_END {39;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_ACTION4_END {40;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_RETURN2_END {41;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_ACTION5_END {42;}';
    eval 'sub TR_ESP_HANDLE_C_CMPLT_PHASEMANAGE_END {43;}';
    eval 'sub TR_ESP_HANDLE_DATA_START {44;}';
    eval 'sub TR_ESP_HANDLE_DATA_END {45;}';
    eval 'sub TR_ESP_HANDLE_DATA_ABORT1_END {46;}';
    eval 'sub TR_ESP_HANDLE_DATA_ABORT2_END {47;}';
    eval 'sub TR_ESP_HANDLE_DATA_ABORT3_END {48;}';
    eval 'sub TR_ESP_HANDLE_DATA_DONE_START {49;}';
    eval 'sub TR_ESP_HANDLE_DATA_DONE_END {50;}';
    eval 'sub TR_ESP_HANDLE_DATA_DONE_RESET_END {51;}';
    eval 'sub TR_ESP_HANDLE_DATA_DONE_PHASEMANAGE_END {52;}';
    eval 'sub TR_ESP_HANDLE_DATA_DONE_ACTION1_END {53;}';
    eval 'sub TR_ESP_HANDLE_DATA_DONE_ACTION2_END {54;}';
    eval 'sub TR_ESP_HANDLE_MORE_MSGIN_START {55;}';
    eval 'sub TR_ESP_HANDLE_MORE_MSGIN_RETURN1_END {56;}';
    eval 'sub TR_ESP_HANDLE_MORE_MSGIN_RETURN2_END {57;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_START {58;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_END {59;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_DONE_START {60;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_DONE_FINRST_END {61;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_DONE_RETURN1_END {62;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_DONE_PHASEMANAGE_END {63;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_DONE_SNDMSG_END {64;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_DONE_ACTION_END {65;}';
    eval 'sub TR_ESP_HANDLE_MSG_IN_DONE_RETURN2_END {66;}';
    eval 'sub TR_ESP_HANDLE_MSG_OUT_START {67;}';
    eval 'sub TR_ESP_HANDLE_MSG_OUT_END {68;}';
    eval 'sub TR_ESP_HANDLE_MSG_OUT_PHASEMANAGE_END {69;}';
    eval 'sub TR_ESP_HANDLE_MSG_OUT_DONE_START {70;}';
    eval 'sub TR_ESP_HANDLE_MSG_OUT_DONE_END {71;}';
    eval 'sub TR_ESP_HANDLE_MSG_OUT_DONE_FINISH_END {72;}';
    eval 'sub TR_ESP_HANDLE_MSG_OUT_DONE_PHASEMANAGE_END {73;}';
    eval 'sub TR_ESP_HANDLE_SELECTION_START {74;}';
    eval 'sub TR_ESP_HANDLE_SELECTION_END {75;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_START {76;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_END {77;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_INT_DISCON_END {78;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_PHASE_DATA_END {79;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_PHASE_MSG_OUT_END {80;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_PHASE_MSG_IN_END {81;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_PHASE_STATUS_END {82;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_PHASE_CMD_END {83;}';
    eval 'sub TR_ESP_HANDLE_UNKNOWN_RESET_END {84;}';
    eval 'sub TR_ESP_HDATAD_START {85;}';
    eval 'sub TR_ESP_HDATAD_END {86;}';
    eval 'sub TR_ESP_HDATA_START {87;}';
    eval 'sub TR_ESP_HDATA_END {88;}';
    eval 'sub TR_ESP_ISTART_START {89;}';
    eval 'sub TR_ESP_ISTART_END {90;}';
    eval 'sub TR_ESP_PHASEMANAGE_CALL {91;}';
    eval 'sub TR_ESP_PHASEMANAGE_START {92;}';
    eval 'sub TR_ESP_PHASEMANAGE_END {93;}';
    eval 'sub TR_ESP_POLL_START {94;}';
    eval 'sub TR_ESP_POLL_END {95;}';
    eval 'sub TR_ESP_RECONNECT_START {96;}';
    eval 'sub TR_ESP_RECONNECT_F1_END {97;}';
    eval 'sub TR_ESP_RECONNECT_RETURN1_END {98;}';
    eval 'sub TR_ESP_RECONNECT_F2_END {99;}';
    eval 'sub TR_ESP_RECONNECT_PHASEMANAGE_END {100;}';
    eval 'sub TR_ESP_RECONNECT_F3_END {101;}';
    eval 'sub TR_ESP_RECONNECT_RESET1_END {102;}';
    eval 'sub TR_ESP_RECONNECT_RESET2_END {103;}';
    eval 'sub TR_ESP_RECONNECT_RESET3_END {104;}';
    eval 'sub TR_ESP_RECONNECT_SEARCH_END {105;}';
    eval 'sub TR_ESP_RECONNECT_RESET4_END {106;}';
    eval 'sub TR_ESP_RECONNECT_RETURN2_END {107;}';
    eval 'sub TR_ESP_RECONNECT_RESET5_END {108;}';
    eval 'sub TR_ESP_RUNPOLL_START {109;}';
    eval 'sub TR_ESP_RUNPOLL_END {110;}';
    eval 'sub TR_ESP_SCSI_IMPL_PKTALLOC_START {111;}';
    eval 'sub TR_ESP_SCSI_IMPL_PKTALLOC_END {112;}';
    eval 'sub TR_ESP_SCSI_IMPL_PKTFREE_START {113;}';
    eval 'sub TR_ESP_SCSI_IMPL_PKTFREE_END {114;}';
    eval 'sub TR_ESP_STARTCMD_START {115;}';
    eval 'sub TR_ESP_STARTCMD_END {116;}';
    eval 'sub TR_ESP_STARTCMD_RE_SELECTION_END {117;}';
    eval 'sub TR_ESP_STARTCMD_ALLOC_TAG1_END {118;}';
    eval 'sub TR_ESP_STARTCMD_ALLOC_TAG2_END {119;}';
    eval 'sub TR_ESP_STARTCMD_PREEMPT_CALL {120;}';
    eval 'sub TR_ESP_START_START {121;}';
    eval 'sub TR_ESP_START_END {122;}';
    eval 'sub TR_ESP_START_PREPARE_PKT_END {123;}';
    eval 'sub TR_ESP_WATCH_START {124;}';
    eval 'sub TR_ESP_WATCH_END {125;}';
    eval 'sub TR_MAKE_SD_CMD_START {126;}';
    eval 'sub TR_MAKE_SD_CMD_END {127;}';
    eval 'sub TR_MAKE_SD_CMD_NO_PKT_ALLOCATED1_END {128;}';
    eval 'sub TR_MAKE_SD_CMD_NO_PKT_ALLOCATED2_END {129;}';
    eval 'sub TR_MAKE_SD_CMD_G0_START {130;}';
    eval 'sub TR_MAKE_SD_CMD_G0_END {131;}';
    eval 'sub TR_MAKE_SD_CMD_G0_SBUF_START {132;}';
    eval 'sub TR_MAKE_SD_CMD_G0_SBUF_END {133;}';
    eval 'sub TR_MAKE_SD_CMD_G1_START {134;}';
    eval 'sub TR_MAKE_SD_CMD_G1_END {135;}';
    eval 'sub TR_MAKE_SD_CMD_INIT_PKT_START {136;}';
    eval 'sub TR_MAKE_SD_CMD_INIT_PKT_END {137;}';
    eval 'sub TR_MAKE_SD_CMD_INIT_PKT_SBUF_START {138;}';
    eval 'sub TR_MAKE_SD_CMD_INIT_PKT_SBUF_END {139;}';
    eval 'sub TR_MAKE_SD_CMD_RA_START {140;}';
    eval 'sub TR_MAKE_SD_CMD_RA_END {141;}';
    eval 'sub TR_SDDONE_BIODONE_CALL {142;}';
    eval 'sub TR_SDDONE_START {143;}';
    eval 'sub TR_SDDONE_END {144;}';
    eval 'sub TR_SDINTR_START {145;}';
    eval 'sub TR_SDINTR_END {146;}';
    eval 'sub TR_SDINTR_COMMAND_DONE_END {147;}';
    eval 'sub TR_SDINTR_QUE_COMMAND_END {148;}';
    eval 'sub TR_SDINTR_QUE_FAILED_END {149;}';
    eval 'sub TR_SDRUNOUT_START {150;}';
    eval 'sub TR_SDRUNOUT_END {151;}';
    eval 'sub TR_SDSTART_START {152;}';
    eval 'sub TR_SDSTART_END {153;}';
    eval 'sub TR_SDSTART_NO_WORK_END {154;}';
    eval 'sub TR_SDSTART_NO_RESOURCES_END {155;}';
    eval 'sub TR_SDSTRATEGY_START {156;}';
    eval 'sub TR_SDSTRATEGY_END {157;}';
    eval 'sub TR_SDSTRATEGY_DISKSORT_START {158;}';
    eval 'sub TR_SDSTRATEGY_DISKSORT_END {159;}';
    eval 'sub TR_SDSTRATEGY_SDSTART_START {160;}';
    eval 'sub TR_SDSTRATEGY_SDSTART_END {161;}';
    eval 'sub TR_SD_CHECK_ERROR_START {162;}';
    eval 'sub TR_SD_CHECK_ERROR_QUE_COMMAND_END {163;}';
    eval 'sub TR_SD_CHECK_ERROR_END {164;}';
    eval 'sub TR__ESP_START_START {165;}';
    eval 'sub TR__ESP_START_END {166;}';
    eval 'sub TR_ESP_INIT_CMD_START {167;}';
    eval 'sub TR_ESP_INIT_CMD_END {168;}';
    eval 'sub TR_ESP_EMPTY_STARTQ_START {169;}';
    eval 'sub TR_ESP_EMPTY_STARTQ_END {170;}';
    eval 'sub TR_SDSTRATEGY_SMALL_WINDOW_START {171;}';
    eval 'sub TR_SDSTRATEGY_SMALL_WINDOW_END {172;}';
    eval 'sub TR_SDSTART_SMALL_WINDOW_START {173;}';
    eval 'sub TR_SDSTART_SMALL_WINDOW_END {174;}';
    eval 'sub TR_ESP_USTART_START {175;}';
    eval 'sub TR_ESP_USTART_END {176;}';
    eval 'sub TR_ESP_USTART_NOT_FOUND_END {177;}';
    eval 'sub TR_ESP_USTART_DEFAULT_END {178;}';
    eval 'sub TR_ESP_PREPARE_PKT_START {179;}';
    eval 'sub TR_ESP_PREPARE_PKT_TRAN_BADPKT_END {180;}';
    eval 'sub TR_ESP_PREPARE_PKT_TRAN_ACCEPT_END {181;}';
    eval 'sub TR_ESP_ALLOC_TAG_START {182;}';
    eval 'sub TR_ESP_ALLOC_TAG_END {183;}';
    eval 'sub TR_ESP_CALL_PKT_COMP_START {184;}';
    eval 'sub TR_ESP_CALL_PKT_COMP_END {185;}';
    eval 'sub TR_ESP_CALL_PKT_COMP_RETURN1_END {186;}';
    eval 'sub TR_ESP_CALL_PKT_COMP_RETURN2_END {187;}';
    eval 'sub TR_ESP_POLL_LOOP_START {188;}';
    eval 'sub TR_ESP_POLL_LOOP_END {189;}';
    eval 'sub TR_ESP_POLL_SUN4D_START {190;}';
    eval 'sub TR_ESP_POLL_SUN4D_END {191;}';
    eval 'sub TR_ESP_SCSI_IMPL_DMAFREE_START {192;}';
    eval 'sub TR_ESP_SCSI_IMPL_DMAFREE_END {193;}';
    eval 'sub TR_ISP_SCSI_GETCAP_START {1;}';
    eval 'sub TR_ISP_SCSI_GETCAP_END {2;}';
    eval 'sub TR_ISP_SCSI_SETCAP_START {3;}';
    eval 'sub TR_ISP_SCSI_SETCAP_END {4;}';
    eval 'sub TR_ISP_SCAN_TIMEOUT_START {5;}';
    eval 'sub TR_ISP_SCAN_TIMEOUT_END {6;}';
    eval 'sub TR_ISP_SCSI_START_START {7;}';
    eval 'sub TR_ISP_SCSI_START_DMA_START {8;}';
    eval 'sub TR_ISP_SCSI_START_DMA_END {9;}';
    eval 'sub TR_ISP_SCSI_START_END {10;}';
    eval 'sub TR_ISP_I_START_CMD_START {11;}';
    eval 'sub TR_ISP_I_START_CMD_Q_FULL_END {12;}';
    eval 'sub TR_ISP_I_START_CMD_SLOT_ALLOC_START {13;}';
    eval 'sub TR_ISP_I_START_CMD_SLOT_ALLOC_END {14;}';
    eval 'sub TR_ISP_I_START_CMD_END {15;}';
    eval 'sub TR_ISP_I_RUN_POLLED_CMD_START {16;}';
    eval 'sub TR_ISP_I_RUN_POLLED_CMD_END {17;}';
    eval 'sub TR_ISP_INTR_START {18;}';
    eval 'sub TR_ISP_INTR_NO_INTR_END {19;}';
    eval 'sub TR_ISP_INTR_EVENT_END {20;}';
    eval 'sub TR_ISP_INTR_Q_START {21;}';
    eval 'sub TR_ISP_INTR_INVALID_END {22;}';
    eval 'sub TR_ISP_INTR_PKT_START {23;}';
    eval 'sub TR_ISP_INTR_PKT_END {24;}';
    eval 'sub TR_ISP_INTR_Q_END {25;}';
    eval 'sub TR_ISP_INTR_END {26;}';
    eval 'sub TR_ISP_I_FLAG_EVENT_START {27;}';
    eval 'sub TR_ISP_I_FLAG_EVENT_IGNORE_END {28;}';
    eval 'sub TR_ISP_I_FLAG_EVENT_END {29;}';
    eval 'sub TR_ISP_I_EVENT_START {30;}';
    eval 'sub TR_ISP_I_EVENT_RETURN_END {31;}';
    eval 'sub TR_ISP_I_EVENT_END {32;}';
    eval 'sub TR_ISP_I_ASYNCH_EVENT_START {33;}';
    eval 'sub TR_ISP_I_ASYNCH_EVENT_END {34;}';
    eval 'sub TR_ISP_I_CMD_EVENT_START {35;}';
    eval 'sub TR_ISP_I_CMD_EVENT_END {36;}';
    eval 'sub TR_ISP_I_RESPONSE_ERROR_START {37;}';
    eval 'sub TR_ISP_I_RESPONSE_ERROR_END {38;}';
    eval 'sub TR_ISP_I_SEND_CMD_START {39;}';
    eval 'sub TR_ISP_I_SEND_CMD_END {40;}';
    eval 'sub TR_ISP_I_CALLBACK_START {41;}';
    eval 'sub TR_ISP_I_CALLBACK_END {42;}';
    eval 'sub TR_ISP_I_WATCH_START {43;}';
    eval 'sub TR_ISP_I_WATCH_END {44;}';
    eval 'sub TR_ISP_I_TIMEOUT_START {45;}';
    eval 'sub TR_ISP_I_TIMEOUT_END {46;}';
    eval 'sub TR_ISP_I_QFLUSH_START {47;}';
    eval 'sub TR_ISP_I_QFLUSH_END {48;}';
    eval 'sub TR_ISP_I_SET_MARKER_START {49;}';
    eval 'sub TR_ISP_I_SET_MARKER_END {50;}';
    eval 'sub TR_ISP_SCSI_ABORT_START {51;}';
    eval 'sub TR_ISP_SCSI_ABORT_FALSE_END {52;}';
    eval 'sub TR_ISP_SCSI_ABORT_END {53;}';
    eval 'sub TR_ISP_SCSI_RESET_START {54;}';
    eval 'sub TR_ISP_SCSI_RESET_FALSE_END {55;}';
    eval 'sub TR_ISP_SCSI_RESET_END {56;}';
    eval 'sub TR_ISP_I_RESET_INTERFACE_START {57;}';
    eval 'sub TR_ISP_I_RESET_INTERFACE_END {58;}';
    eval 'sub TR_ISP_I_CALL_PKT_COMP_START {59;}';
    eval 'sub TR_ISP_I_CALL_PKT_COMP_END {60;}';
    eval 'sub TR_ISP_I_EMPTY_WAITQ_START {61;}';
    eval 'sub TR_ISP_I_EMPTY_WAITQ_END {62;}';
    eval 'sub TR_ISP_I_INIT_CMD_START {63;}';
    eval 'sub TR_ISP_SCSI_START_BIG_CDB {64;}';
    eval 'sub TR_ISP_I_INIT_CMD_END {65;}';
    eval 'sub TR_ISP_I_START_CMD_AFTER_SYNC {66;}';
    eval 'sub TR_ISP_INTR_LOOP_START {67;}';
    eval 'sub TR_ISP_INTR_LOOP_END {68;}';
    eval 'sub TR_ISP_INTR_ASYNC_END {69;}';
    eval 'sub TR_ISP_INTR_MBOX_END {70;}';
    eval 'sub TR_ISP_INTR_NO_RESP_END {71;}';
    eval 'sub TR_ISP_INTR_AGAIN {72;}';
    eval 'sub TR_ISP_I_MBOX_CMD_COMPLETE_START {74;}';
    eval 'sub TR_ISP_I_MBOX_CMD_COMPLETE_END {75;}';
    eval 'sub TR_ISP_I_MBOX_CMD_START_START {76;}';
    eval 'sub TR_ISP_I_MBOX_CMD_START_END {77;}';
    eval 'sub TR_ISP_SCSI_PKTALLOC_START {78;}';
    eval 'sub TR_ISP_SCSI_PKTALLOC_END {79;}';
    eval 'sub TR_ISP_SCSI_PKTFREE_START {80;}';
    eval 'sub TR_ISP_SCSI_PKTFREE_DONE {81;}';
    eval 'sub TR_ISP_SCSI_PKTFREE_END {82;}';
    eval 'sub TR_ISP_SCSI_DMAGET_START {83;}';
    eval 'sub TR_ISP_SCSI_DMAGET_ERROR_END {84;}';
    eval 'sub TR_ISP_SCSI_DMAGET_END {85;}';
    eval 'sub TR_ISP_SCSI_DMAFREE_START {86;}';
    eval 'sub TR_ISP_SCSI_DMAFREE_END {87;}';
    eval 'sub TR_ISP_I_RESET_INIT_CHIP_START {88;}';
    eval 'sub TR_ISP_I_RESET_INIT_CHIP_END {89;}';
    eval 'sub TR_LWP_CREATE_START {0;}';
    eval 'sub TR_LWP_CREATE_END {1;}';
    eval 'sub TR_LWP_EXIT_START {2;}';
    eval 'sub TR_LWP_EXIT_END {3;}';
    eval 'sub TR_LWP_SUSPEND_START {4;}';
    eval 'sub TR_LWP_SUSPEND_END {5;}';
    eval 'sub TR_LWP_CONTINUE_START {6;}';
    eval 'sub TR_LWP_CONTINUE_END {7;}';
    eval 'sub TR_LWP_CREATE_ASEGKP {8;}';
    eval 'sub TR_LWP_CREATE_ATHRC {9;}';
    eval 'sub TR_LWP_CREATE_ABZ {10;}';
    eval 'sub TR_LWP_CONT_ASR {11;}';
    eval 'sub TR_LWP_EXIT_OFFQ {12;}';
    eval 'sub TR_SYS_LWP_CREATE_START {0;}';
    eval 'sub TR_SYS_LWP_CREATE_END1 {1;}';
    eval 'sub TR_SYS_LWP_CREATE_END2 {2;}';
    eval 'sub TR_SYS_LWP_EXIT_START {3;}';
    eval 'sub TR_SYS_LWP_EXIT_END {4;}';
    eval 'sub TR_SYS_LWP_WAIT {5;}';
    eval 'sub TR_SYS_LWP_SELF {6;}';
    eval 'sub TR_SYS_LWP_SUSPEND_START {7;}';
    eval 'sub TR_SYS_LWP_SUSPEND_END {8;}';
    eval 'sub TR_SYS_LWP_CONTINUE_START {9;}';
    eval 'sub TR_SYS_LWP_CONTINUE_END {10;}';
    eval 'sub TR_SYS_LWP_MUTEX_LOCK {11;}';
    eval 'sub TR_SYS_LWP_MUTEX_UNLOCK {12;}';
    eval 'sub TR_SYS_LWP_COND_WAIT_START {13;}';
    eval 'sub TR_SYS_LWP_COND_WAIT_END {14;}';
    eval 'sub TR_SYS_LWP_COND_SIGNAL_START {15;}';
    eval 'sub TR_SYS_LWP_COND_SIGNAL_END {16;}';
    eval 'sub TR_SYS_LWP_COND_BROADCAST {17;}';
    eval 'sub TR_SYS_LWP_KILL_START {18;}';
    eval 'sub TR_SYS_LWP_KILL_END {19;}';
    eval 'sub TR_SYS_LWP_SETPRIVATE {20;}';
    eval 'sub TR_SYS_LWP_GETPRIVATE {21;}';
    eval 'sub TR_SYS_LWP_ACOPYIN {22;}';
    eval 'sub TR_SYS_LWP_ABCP {23;}';
    eval 'sub TR_SYS_LWP_ALWPTOT {24;}';
    eval 'sub TR_SYS_LWP_CONTINUE_AIDTOT {25;}';
    eval 'sub TR_SYS_LWP_CR_WAIT {26;}';
    eval 'sub TR_TIMEOUT_START {0;}';
    eval 'sub TR_TIMEOUT_END {1;}';
    eval 'sub TR_RT_TIMEOUT_START {2;}';
    eval 'sub TR_RT_TIMEOUT_END {3;}';
    eval 'sub TR_UNTIMEOUT_START {4;}';
    eval 'sub TR_UNTIMEOUT_END {5;}';
    eval 'sub TR_CALLOUT_EXECUTE_START {6;}';
    eval 'sub TR_CALLOUT_EXECUTE_END {7;}';
    eval 'sub TR_CALLOUT_START {8;}';
    eval 'sub TR_CALLOUT_END {9;}';
    eval 'sub TR_CALLOUT_DELETE_BOGUS_ID {32;}';
    eval 'sub TR_CALLOUT_DELETE_NESTED {33;}';
    eval 'sub TR_CALLOUT_DELETE_EXECUTING {34;}';
    eval 'sub TR_SPECFS_GETPAGE {0;}';
    eval 'sub TR_SPECFS_GETAPAGE {1;}';
    eval 'sub TR_SPECFS_PUTPAGE {2;}';
    eval 'sub TR_SPECFS_PUTAPAGE {3;}';
    eval 'sub TR_SPECFS_SEGMAP {4;}';
    eval 'sub TR_SPECFS_OPEN {5;}';
    eval 'sub TR_TMPFS_LOOKUP {0;}';
    eval 'sub TR_TMPFS_CREATE {1;}';
    eval 'sub TR_TMPFS_REMOVE {2;}';
    eval 'sub TR_TMPFS_RENAME {3;}';
    eval 'sub TR_TMPFS_RWTMP_START {4;}';
    eval 'sub TR_TMPFS_RWTMP_END {5;}';
    eval 'sub TR_SWAPFS_OPEN {0;}';
    eval 'sub TR_SWAPFS_CLOSE {1;}';
    eval 'sub TR_SWAPFS_GETPAGE {2;}';
    eval 'sub TR_SWAPFS_GETAPAGE {3;}';
    eval 'sub TR_SWAPFS_PUTPAGE {4;}';
    eval 'sub TR_SWAPFS_PUTAPAGE {5;}';
    eval 'sub TR_UFS_SYNCIP_START {0;}';
    eval 'sub TR_UFS_SYNCIP_END {1;}';
    eval 'sub TR_UFS_OPEN {2;}';
    eval 'sub TR_UFS_CLOSE {4;}';
    eval 'sub TR_UFS_READ_START {6;}';
    eval 'sub TR_UFS_READ_END {7;}';
    eval 'sub TR_UFS_WRITE_START {8;}';
    eval 'sub TR_UFS_WRITE_END {9;}';
    eval 'sub TR_UFS_RWIP_START {10;}';
    eval 'sub TR_UFS_RWIP_END {11;}';
    eval 'sub TR_UFS_GETATTR_START {12;}';
    eval 'sub TR_UFS_GETATTR_END {13;}';
    eval 'sub TR_UFS_SETATTR_START {14;}';
    eval 'sub TR_UFS_SETATTR_END {15;}';
    eval 'sub TR_UFS_ACCESS_START {16;}';
    eval 'sub TR_UFS_ACCESS_END {17;}';
    eval 'sub TR_UFS_READLINK_START {18;}';
    eval 'sub TR_UFS_READLINK_END {19;}';
    eval 'sub TR_UFS_FSYNC_START {20;}';
    eval 'sub TR_UFS_FSYNC_END {21;}';
    eval 'sub TR_UFS_LOOKUP_START {22;}';
    eval 'sub TR_UFS_LOOKUP_END {23;}';
    eval 'sub TR_UFS_CREATE_START {24;}';
    eval 'sub TR_UFS_CREATE_END {25;}';
    eval 'sub TR_UFS_REMOVE_START {26;}';
    eval 'sub TR_UFS_REMOVE_END {27;}';
    eval 'sub TR_UFS_LINK_START {28;}';
    eval 'sub TR_UFS_LINK_END {29;}';
    eval 'sub TR_UFS_RENAME_START {30;}';
    eval 'sub TR_UFS_RENAME_END {31;}';
    eval 'sub TR_UFS_MKDIR_START {32;}';
    eval 'sub TR_UFS_MKDIR_END {33;}';
    eval 'sub TR_UFS_RMDIR_START {34;}';
    eval 'sub TR_UFS_RMDIR_END {35;}';
    eval 'sub TR_UFS_READDIR_START {36;}';
    eval 'sub TR_UFS_READDIR_END {37;}';
    eval 'sub TR_UFS_SYMLINK_START {38;}';
    eval 'sub TR_UFS_SYMLINK_END {39;}';
    eval 'sub TR_UFS_GETPAGE_START {40;}';
    eval 'sub TR_UFS_GETPAGE_END {41;}';
    eval 'sub TR_UFS_GETAPAGE_START {42;}';
    eval 'sub TR_UFS_GETAPAGE_END {43;}';
    eval 'sub TR_UFS_PUTPAGE_START {44;}';
    eval 'sub TR_UFS_PUTPAGE_END {45;}';
    eval 'sub TR_UFS_PUTAPAGE_START {46;}';
    eval 'sub TR_UFS_PUTAPAGE_END {47;}';
    eval 'sub TR_UFS_STARTIO_START {48;}';
    eval 'sub TR_UFS_STARTIO_END {49;}';
    eval 'sub TR_UFS_MAP_START {50;}';
    eval 'sub TR_UFS_MAP_END {51;}';
    eval 'sub TR_UFS_GETSECATTR_START {52;}';
    eval 'sub TR_UFS_GETSECATTR_END {53;}';
    eval 'sub TR_UFS_SETSECATTR_START {54;}';
    eval 'sub TR_UFS_SETSECATTR_END {55;}';
    eval 'sub TR_RFSCALL_START {0;}';
    eval 'sub TR_RFSCALL_END {1;}';
    eval 'sub TR_FHTOVP_START {2;}';
    eval 'sub TR_FHTOVP_END {3;}';
    eval 'sub TR_VOP_GETATTR_START {100;}';
    eval 'sub TR_VOP_GETATTR_END {101;}';
    eval 'sub TR_VOP_SETATTR_START {102;}';
    eval 'sub TR_VOP_SETATTR_END {103;}';
    eval 'sub TR_VOP_LOOKUP_START {104;}';
    eval 'sub TR_VOP_LOOKUP_END {105;}';
    eval 'sub TR_VOP_READLINK_START {106;}';
    eval 'sub TR_VOP_READLINK_END {107;}';
    eval 'sub TR_VOP_RWLOCK_START {108;}';
    eval 'sub TR_VOP_RWLOCK_END {109;}';
    eval 'sub TR_VOP_ACCESS_START {110;}';
    eval 'sub TR_VOP_ACCESS_END {111;}';
    eval 'sub TR_VOP_OPEN_START {112;}';
    eval 'sub TR_VOP_OPEN_END {113;}';
    eval 'sub TR_VOP_READ_START {114;}';
    eval 'sub TR_VOP_READ_END {115;}';
    eval 'sub TR_VOP_CLOSE_START {116;}';
    eval 'sub TR_VOP_CLOSE_END {117;}';
    eval 'sub TR_VOP_RWUNLOCK_START {118;}';
    eval 'sub TR_VOP_RWUNLOCK_END {119;}';
    eval 'sub TR_VOP_WRITE_START {120;}';
    eval 'sub TR_VOP_WRITE_END {121;}';
    eval 'sub TR_VOP_CREATE_START {122;}';
    eval 'sub TR_VOP_CREATE_END {123;}';
    eval 'sub TR_VOP_REMOVE_START {124;}';
    eval 'sub TR_VOP_REMOVE_END {125;}';
    eval 'sub TR_VOP_RENAME_START {126;}';
    eval 'sub TR_VOP_RENAME_END {127;}';
    eval 'sub TR_VOP_LINK_START {128;}';
    eval 'sub TR_VOP_LINK_END {129;}';
    eval 'sub TR_VOP_SYMLINK_START {130;}';
    eval 'sub TR_VOP_SYMLINK_END {131;}';
    eval 'sub TR_VOP_MKDIR_START {132;}';
    eval 'sub TR_VOP_MKDIR_END {133;}';
    eval 'sub TR_VOP_RMDIR_START {134;}';
    eval 'sub TR_VOP_RMDIR_END {135;}';
    eval 'sub TR_VOP_READDIR_START {136;}';
    eval 'sub TR_VOP_READDIR_END {137;}';
    eval 'sub TR_SEGMAP_GETMAP_START {138;}';
    eval 'sub TR_SEGMAP_GETMAP_END {139;}';
    eval 'sub TR_AS_FAULT_START {140;}';
    eval 'sub TR_AS_FAULT_END {141;}';
    eval 'sub TR_RFS_GETATTR_START {142;}';
    eval 'sub TR_RFS_GETATTR_END {143;}';
    eval 'sub TR_RFS_SETATTR_START {144;}';
    eval 'sub TR_RFS_SETATTR_END {145;}';
    eval 'sub TR_RFS_LOOKUP_START {146;}';
    eval 'sub TR_RFS_LOOKUP_END {147;}';
    eval 'sub TR_RFS_READLINK_START {148;}';
    eval 'sub TR_RFS_READLINK_END {149;}';
    eval 'sub TR_RFS_READ_START {150;}';
    eval 'sub TR_RFS_READ_END {151;}';
    eval 'sub TR_RFS_WRITE_START {152;}';
    eval 'sub TR_RFS_WRITE_END {153;}';
    eval 'sub TR_RFS_CREATE_START {154;}';
    eval 'sub TR_RFS_CREATE_END {155;}';
    eval 'sub TR_RFS_REMOVE_START {156;}';
    eval 'sub TR_RFS_REMOVE_END {157;}';
    eval 'sub TR_RFS_RENAME_START {158;}';
    eval 'sub TR_RFS_RENAME_END {159;}';
    eval 'sub TR_RFS_LINK_START {160;}';
    eval 'sub TR_RFS_LINK_END {161;}';
    eval 'sub TR_RFS_SYMLINK_START {162;}';
    eval 'sub TR_RFS_SYMLINK_END {163;}';
    eval 'sub TR_RFS_MKDIR_START {164;}';
    eval 'sub TR_RFS_MKDIR_END {165;}';
    eval 'sub TR_RFS_RMDIR_START {166;}';
    eval 'sub TR_RFS_RMDIR_END {167;}';
    eval 'sub TR_RFS_READDIR_START {168;}';
    eval 'sub TR_RFS_READDIR_END {169;}';
    eval 'sub TR_RFS_STATFS_START {170;}';
    eval 'sub TR_RFS_STATFS_END {171;}';
    eval 'sub TR_RFS_DISPATCH_START {172;}';
    eval 'sub TR_RFS_DISPATCH_END {173;}';
    eval 'sub TR_SVC_SENDREPLY_START {178;}';
    eval 'sub TR_SVC_SENDREPLY_END {179;}';
    eval 'sub TR_VOP_FSYNC_START {180;}';
    eval 'sub TR_VOP_FSYNC_END {181;}';
    eval 'sub TR_VOP_PUTPAGE_START {182;}';
    eval 'sub TR_VOP_PUTPAGE_END {183;}';
    eval 'sub TR_SEGMAP_RELEASE_START {184;}';
    eval 'sub TR_SEGMAP_RELEASE_END {185;}';
    eval 'sub TR_SVC_GETARGS_START {186;}';
    eval 'sub TR_SVC_GETARGS_END {187;}';
    eval 'sub TR_FINDEXPORT_START {188;}';
    eval 'sub TR_FINDEXPORT_END {189;}';
    eval 'sub TR_RFS_PROC_START {190;}';
    eval 'sub TR_RFS_PROC_END {191;}';
    eval 'sub TR_SVC_FREEARGS_START {192;}';
    eval 'sub TR_SVC_FREEARGS_END {193;}';
    eval 'sub TR_RFS_RESFREE_START {194;}';
    eval 'sub TR_RFS_RESFREE_END {195;}';
    eval 'sub TR_RFS_CRFREE_START {196;}';
    eval 'sub TR_RFS_CRFREE_END {197;}';
    eval 'sub TR_SVC_DUPFOUND {198;}';
    eval 'sub TR_NFSFP_QUE_REQ_START {199;}';
    eval 'sub TR_NFSFP_QUE_REQ_END {200;}';
    eval 'sub TR_NFSFP_PROC_REQ_END {201;}';
    eval 'sub TR_NFSFP_XDR_ARG_START {202;}';
    eval 'sub TR_NFSFP_XDR_ARG_END {203;}';
    eval 'sub TR_NFSFP_XDR_RES_START {204;}';
    eval 'sub TR_NFSFP_XDR_RES_END {205;}';
    eval 'sub TR_NFSFP_DUP_CHECK_START {206;}';
    eval 'sub TR_NFSFP_DUP_CHECK_END {207;}';
    eval 'sub TR_NFSFP_UDP_SEND_START {208;}';
    eval 'sub TR_NFSFP_UDP_SEND_END {209;}';
    eval 'sub TR_NFSFP_SEND_REPLY_START {210;}';
    eval 'sub TR_NFSFP_SEND_REPLY_END {211;}';
    eval 'sub TR_NFSFP_QUE_REQ_ENQ {212;}';
    eval 'sub TR_NFSFP_QUE_REQ_DEQ {213;}';
    eval 'sub TR_NFSFP_RFS_READLINK_START {214;}';
    eval 'sub TR_NFSFP_RFS_READLINK_END {215;}';
    eval 'sub TR_NFSFP_SVCAUTH_UNIX_START {216;}';
    eval 'sub TR_NFSFP_SVCAUTH_UNIX_END {217;}';
    eval 'sub TR_SVC_FREERES_START {222;}';
    eval 'sub TR_SVC_FREERES_END {223;}';
    eval 'sub TR_DNLC_ENTER_START {218;}';
    eval 'sub TR_DNLC_ENTER_END {219;}';
    eval 'sub TR_DNLC_LOOKUP_START {220;}';
    eval 'sub TR_DNLC_LOOKUP_END {221;}';
    eval 'sub TR_SVC_GETREQ_START {0;}';
    eval 'sub TR_SVC_GETREQ_END {1;}';
    eval 'sub TR_SVC_GETREQ_LOOP_START {2;}';
    eval 'sub TR_SVC_GETREQ_LOOP_END {3;}';
    eval 'sub TR_SVC_RUN {4;}';
    eval 'sub TR_SVC_CLTS_KRECV_START {5;}';
    eval 'sub TR_SVC_CLTS_KRECV_END {6;}';
    eval 'sub TR_XDR_CALLMSG_START {7;}';
    eval 'sub TR_XDR_CALLMSG_END {8;}';
    eval 'sub TR_SVC_CLTS_KSEND_START {9;}';
    eval 'sub TR_SVC_CLTS_KSEND_END {10;}';
    eval 'sub TR_XDR_REPLYMSG_START {11;}';
    eval 'sub TR_XDR_REPLYMSG_END {12;}';
    eval 'sub TR_RPCMODOPEN_START {13;}';
    eval 'sub TR_RPCMODOPEN_END {14;}';
    eval 'sub TR_RPCMODRPUT_START {15;}';
    eval 'sub TR_RPCMODRPUT_END {16;}';
    eval 'sub TR_RPCMODWPUT_START {17;}';
    eval 'sub TR_RPCMODWPUT_END {18;}';
    eval 'sub TR_RPCMODRSRV_START {19;}';
    eval 'sub TR_RPCMODRSRV_END {20;}';
    eval 'sub TR_RPCMODWSRV_START {21;}';
    eval 'sub TR_RPCMODWSRV_END {22;}';
    eval 'sub TR_SVC_QUEUEREQ_START {23;}';
    eval 'sub TR_SVC_QUEUEREQ_END {24;}';
    eval 'sub TR_SVC_GETREQ_AUTH_START {25;}';
    eval 'sub TR_SVC_GETREQ_AUTH_END {26;}';
    eval 'sub TR_SVC_DUPDONE {27;}';
    eval 'sub TR_SVC_CLTS_KDUP_START {28;}';
    eval 'sub TR_SVC_CLTS_KDUP_END {29;}';
    eval 'sub TR_RPC_QUE_REQ_START {30;}';
    eval 'sub TR_RPC_QUE_REQ_END {31;}';
    eval 'sub TR_SVC_COTS_KRECV_START {32;}';
    eval 'sub TR_SVC_COTS_KRECV_END {33;}';
    eval 'sub TR_SVC_COTS_KDUP_DONE {34;}';
    eval 'sub TR_SVC_COTS_KDUP_INPROGRESS {35;}';
    eval 'sub TR_SVC_COTS_KSEND_START {36;}';
    eval 'sub TR_SVC_COTS_KSEND_END {37;}';
    eval 'sub TR_SCSI_INIT_PKT_START {0;}';
    eval 'sub TR_SCSI_INIT_PKT_RETURN1_END {1;}';
    eval 'sub TR_SCSI_INIT_PKT_RETURN2_END {2;}';
    eval 'sub TR_SCSI_INIT_PKT_END {3;}';
    eval 'sub TR_SCSI_INIT_PKT_PKTALLOC_START {4;}';
    eval 'sub TR_SCSI_INIT_PKT_PKTALLOC_END {5;}';
    eval 'sub TR_SCSI_INIT_PKT_PKTALLOC_FAILED {6;}';
    eval 'sub TR_SCSI_INIT_PKT_DMAGET_START {7;}';
    eval 'sub TR_SCSI_INIT_PKT_DMAGET_FAILED {8;}';
    eval 'sub TR_SCSI_INIT_PKT_FREE_START {9;}';
    eval 'sub TR_SCSI_ALLOC_CONSISTENT_BUF_START {10;}';
    eval 'sub TR_SCSI_ALLOC_CONSISTENT_BUF_RETURN1_END {11;}';
    eval 'sub TR_SCSI_ALLOC_CONSISTENT_BUF_RETURN2_END {12;}';
    eval 'sub TR_SCSI_ALLOC_CONSISTENT_BUF_RETURN3_END {13;}';
    eval 'sub TR_SCSI_ALLOC_CONSISTENT_BUF_END {14;}';
    eval 'sub TR_SCSI_FREE_CONSISTENT_BUF_START {15;}';
    eval 'sub TR_SCSI_FREE_CONSISTENT_BUF_END {16;}';
    eval 'sub TR_SCSI_IMPL_PKTALLOC_START {17;}';
    eval 'sub TR_SCSI_IMPL_PKTALLOC_END {18;}';
    eval 'sub TR_SCSI_IMPL_PKTALLOC_CALLBACK_START {19;}';
    eval 'sub TR_SCSI_IMPL_PKTALLOC_CALLBACK_END {20;}';
    eval 'sub TR_SCSI_IMPL_PKTFREE_START {21;}';
    eval 'sub TR_SCSI_IMPL_PKTFREE_END {22;}';
    eval 'sub TR_SCSI_IMPL_PKTFREE_RUN_CALLBACK {23;}';
    eval 'sub TR_SCSI_IMPL_DMAGET_START {24;}';
    eval 'sub TR_SCSI_IMPL_DMAGET_END {25;}';
    eval 'sub TR_SCSI_IMPL_DMAGET_BUFSETUP_START {26;}';
    eval 'sub TR_SCSI_IMPL_DMAGET_BUFSETUP_FAILED {27;}';
    eval 'sub TR_SCSI_DESTROY_PKT_START {28;}';
    eval 'sub TR_SCSI_DESTROY_PKT_END {29;}';
    eval 'sub TR_FIFOREAD_IN {1;}';
    eval 'sub TR_FIFOREAD_OUT {2;}';
    eval 'sub TR_FIFOREAD_WAIT {3;}';
    eval 'sub TR_FIFOREAD_WAKE {4;}';
    eval 'sub TR_FIFOREAD_STREAM {5;}';
    eval 'sub TR_FIFOWRITE_IN {6;}';
    eval 'sub TR_FIFOWRITE_OUT {7;}';
    eval 'sub TR_FIFOWRITE_WAIT {9;}';
    eval 'sub TR_FIFOWRITE_WAKE {10;}';
    eval 'sub TR_FIFOWRITE_STREAM {11;}';
    eval 'sub TR_RLOGINP_RPUT_IN {0;}';
    eval 'sub TR_RLOGINP_RPUT_OUT {1;}';
    eval 'sub TR_RLOGINP_RSRV_IN {2;}';
    eval 'sub TR_RLOGINP_RSRV_OUT {3;}';
    eval 'sub TR_RLOGINP_WSRV_IN {4;}';
    eval 'sub TR_RLOGINP_WSRV_OUT {5;}';
    eval 'sub TR_RLOGINP_WPUT_IN {6;}';
    eval 'sub TR_RLOGINP_WPUT_OUT {7;}';
    eval 'sub TR_RLOGINP_WINCTL_IN {8;}';
    eval 'sub TR_RLOGINP_WINCTL_OUT {9;}';
    eval 'sub VT_VERSION_MAJOR {3;}';
    eval 'sub VT_VERSION_MINOR {0;}';
    eval 'sub VT_VERSION_MICRO {0;}';
    eval 'sub VT_VERSION_NAME {"92/02/18";}';
    eval 'sub VT_FAC_SHIFT {24;}';
    eval 'sub VT_FAC_MASK {0xff;}';
    eval 'sub VT_TAG_SHIFT {16;}';
    eval 'sub VT_TAG_MASK {0xff;}';
    eval 'sub VT_EVENT_SHIFT {16;}';
    eval 'sub VT_EVENT_MASK {0xffff;}';
    eval 'sub VT_TIME_SHIFT {0;}';
    eval 'sub VT_TIME_MASK {0xffff;}';
    eval 'sub VT_MAX_FAC { &VT_FAC_MASK;}';
    eval 'sub VT_MAX_TAG { &VT_TAG_MASK;}';
    eval 'sub VT_MAX_EVENT { &VT_EVENT_MASK;}';
    eval 'sub VT_MAX_WORDS {64;}';
    eval 'sub VT_MAX_BYTES {256;}';
    eval 'sub TR_DATA_MIN { &TR_DATA_4;}';
    eval 'sub TR_DATA_MAX { &TR_DATA_64;}';
    eval 'sub IS_DATA_REC {
        local($x) = @_;
        eval "((($x) >=  &TR_DATA_MIN) && (($x) <=  &TR_DATA_MAX))";
    }';
    eval 'sub VT_FAC {
        local($vt) = @_;
        eval "((($vt) >>  &VT_FAC_SHIFT) &  &VT_FAC_MASK)";
    }';
    eval 'sub VT_TAG {
        local($vt) = @_;
        eval "((($vt) >>  &VT_TAG_SHIFT) &  &VT_TAG_MASK)";
    }';
    eval 'sub VT_EVENT {
        local($vt) = @_;
        eval "((($vt) >>  &VT_EVENT_SHIFT) &  &VT_EVENT_MASK)";
    }';
    eval 'sub VT_TIME {
        local($vt) = @_;
        eval "((($vt) >>  &VT_TIME_SHIFT) &  &VT_TIME_MASK)";
    }';
    eval 'sub VT_SET_FAC {
        local($vt, $fac) = @_;
        eval "$vt |= ($fac) <<  &VT_FAC_SHIFT";
    }';
    eval 'sub VT_SET_TAG {
        local($vt, $tag) = @_;
        eval "$vt |= ($tag) <<  &VT_TAG_SHIFT";
    }';
    eval 'sub VT_SET_EVENT {
        local($vt, $event) = @_;
        eval "$vt |= ($event) <<  &VT_EVENT_SHIFT";
    }';
    eval 'sub VT_SET_TIME {
        local($vt, $time) = @_;
        eval "$vt |= ($time) <<  &VT_TIME_SHIFT";
    }';
    eval 'sub FTT2HEAD {
        local($fac, $tag, $time) = @_;
        eval "((($fac) <<  &VT_FAC_SHIFT) | (($tag) <<  &VT_TAG_SHIFT) | ($time))";
    }';
    eval 'sub ET2HEAD {
        local($event, $time) = @_;
        eval "((($event) <<  &VT_EVENT_SHIFT) | ($time))";
    }';
    eval 'sub FT2EVENT {
        local($fac, $tag) = @_;
        eval "((($fac) << 8) | ($tag))";
    }';
    eval 'sub VT_ENABLED {0x80;}';
    eval 'sub VT_USED {0x40;}';
    eval 'sub VT_STRING_5 {0x10;}';
    eval 'sub VT_STRING_4 {0x08;}';
    eval 'sub VT_STRING_3 {0x04;}';
    eval 'sub VT_STRING_2 {0x02;}';
    eval 'sub VT_STRING_1 {0x01;}';
    eval 'sub VT_STRING_MASK {0x1f;}';
    eval 'sub VT_MAPSIZE {65536;}';
    eval 'sub VT_TEST {
        local($map, $event, $mask) = @_;
        eval "($map[$event] & ($mask))";
    }';
    eval 'sub VT_SET {
        local($map, $event, $mask) = @_;
        eval "$map[$event] |= ($mask)";
    }';
    eval 'sub VT_UNSET {
        local($map, $event, $mask) = @_;
        eval "$map[$event] &= ~($mask)";
    }';
    eval 'sub VT_TEST_FT {
        local($map, $fac, $tag, $mask) = @_;
        eval " &VT_TEST($map,  &FT2EVENT($fac, $tag), $mask)";
    }';
    eval 'sub VT_SET_FT {
        local($map, $fac, $tag, $mask) = @_;
        eval " &VT_SET($map,  &FT2EVENT($fac, $tag), $mask)";
    }';
    eval 'sub VT_UNSET_FT {
        local($map, $fac, $tag, $mask) = @_;
        eval " &VT_UNSET($map,  &FT2EVENT($fac, $tag), $mask)";
    }';
    eval 'sub VT_FAC_ENABLE {
        local($map, $fac) = @_;
        eval "{ \'u_long\'  &xvt_i;  &for ( &xvt_i =  &FT2EVENT(($fac), 0);  &xvt_i <   &FT2EVENT(($fac) + 1, 0);  &xvt_i++) $map[ &xvt_i] =  &VT_ENABLED; }";
    }';
    if (!defined &_ASM) {
    }
    eval 'sub VTR_INIT {0;}';
    eval 'sub VTR_FILE {1;}';
    eval 'sub VTR_EVENTMAP {2;}';
    eval 'sub VTR_EVENT {3;}';
    eval 'sub VTR_START {4;}';
    eval 'sub VTR_PAUSE {5;}';
    eval 'sub VTR_RESUME {6;}';
    eval 'sub VTR_INFO {7;}';
    eval 'sub VTR_FLUSH {8;}';
    eval 'sub VTR_RESET {9;}';
    eval 'sub VTR_TEST {10;}';
    eval 'sub VTR_PROCESS {11;}';
    eval 'sub VTR_GET_STRING {12;}';
    eval 'sub VTR_INFO_GLOBAL {0;}';
    eval 'sub VTR_INFO_PERCPU {1;}';
    eval 'sub VTR_NOFORCE {0;}';
    eval 'sub VTR_FORCE {1;}';
    eval 'sub VTR_STATE_NULL {0x01;}';
    eval 'sub VTR_STATE_READY {0x02;}';
    eval 'sub VTR_STATE_PAUSE {0x04;}';
    eval 'sub VTR_STATE_ACTIVE {0x08;}';
    eval 'sub VTR_STATE_PERPROC {0x10;}';
    eval 'sub VTR_STATE_HALTED {0x20;}';
    eval 'sub VTR_PROCESS_NULL {0x01;}';
    eval 'sub VTR_PROCESS_TRACE {0x02;}';
    eval 'sub VTR_PROCESS_NOTRACE {0x04;}';
    eval 'sub MAX_TRACE_NPROCS {64;}';
    if (defined &_KERNEL) {
	if (defined &TRACE) {
	    if (!defined &_ASM) {
	    }
	    eval 'sub TRACE_N {
	        local($fac, $tag, $name, $len, $func) = @_;
	        eval "{ \'u_char\'  &xvt_info =  &CPU-> &cpu_trace. &event_map[ &FT2EVENT($fac, $tag)];  &if ( &xvt_info &  &VT_ENABLED) {  &if (!( &xvt_info &  &VT_USED))  &xvt_info =  &trace_label($fac, $tag, $len, $name, -1); $func; } }";
	    }';
	}
	else {
	    eval 'sub TRACE_N {
	        local($fac, $tag, $name, $len, $func) = @_;
	        eval "";
	    }';
	}
    }
    eval 'sub TRACE_0 {
        local($fac, $tag, $name) = @_;
        eval " &TRACE_N($fac, $tag, $name, 4,  &trace_0( &FTT2HEAD($fac, $tag,  &xvt_info)))";
    }';
    eval 'sub TRACE_1 {
        local($fac, $tag, $name, $d1) = @_;
        eval " &TRACE_N($fac, $tag, $name, 8,  &trace_1( &FTT2HEAD($fac, $tag,  &xvt_info),  ($d1)))";
    }';
    eval 'sub TRACE_2 {
        local($fac, $tag, $name, $d1, $d2) = @_;
        eval " &TRACE_N($fac, $tag, $name, 12,  &trace_2( &FTT2HEAD($fac, $tag,  &xvt_info),  ($d1),  ($d2)))";
    }';
    eval 'sub TRACE_3 {
        local($fac, $tag, $name, $d1, $d2, $d3) = @_;
        eval " &TRACE_N($fac, $tag, $name, 16,  &trace_3( &FTT2HEAD($fac, $tag,  &xvt_info),  ($d1),  ($d2),  ($d3)))";
    }';
    eval 'sub TRACE_4 {
        local($fac, $tag, $name, $d1, $d2, $d3, $d4) = @_;
        eval " &TRACE_N($fac, $tag, $name, 20,  &trace_4( &FTT2HEAD($fac, $tag,  &xvt_info),  ($d1),  ($d2),  ($d3),  ($d4)))";
    }';
    eval 'sub TRACE_5 {
        local($fac, $tag, $name, $d1, $d2, $d3, $d4, $d5) = @_;
        eval " &TRACE_N($fac, $tag, $name, 24,  &trace_5( &FTT2HEAD($fac, $tag,  &xvt_info),  ($d1),  ($d2),  ($d3),  ($d4),  ($d5)))";
    }';
    if (defined &__cplusplus) {
    }
}
1;
